/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.model;

import com.liferay.portal.kernel.bean.ReadOnlyBeanHandler;
import com.liferay.portal.kernel.util.HtmlUtil;
import com.liferay.portal.model.impl.BaseModelImpl;

import java.io.Serializable;

import java.lang.reflect.Proxy;

import java.util.Date;

/**
 * <a href="ContentConnectionClp.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public class ContentConnectionClp extends BaseModelImpl<ContentConnection>
	implements ContentConnection {
	public ContentConnectionClp() {
	}

	public long getPrimaryKey() {
		return _connectionId;
	}

	public void setPrimaryKey(long pk) {
		setConnectionId(pk);
	}

	public Serializable getPrimaryKeyObj() {
		return new Long(_connectionId);
	}

	public long getConnectionId() {
		return _connectionId;
	}

	public void setConnectionId(long connectionId) {
		_connectionId = connectionId;
	}

	public long getGroupId() {
		return _groupId;
	}

	public void setGroupId(long groupId) {
		_groupId = groupId;
	}

	public long getCompanyId() {
		return _companyId;
	}

	public void setCompanyId(long companyId) {
		_companyId = companyId;
	}

	public long getUserId() {
		return _userId;
	}

	public void setUserId(long userId) {
		_userId = userId;
	}

	public Date getCreateDate() {
		return _createDate;
	}

	public void setCreateDate(Date createDate) {
		_createDate = createDate;
	}

	public Date getModifiedDate() {
		return _modifiedDate;
	}

	public void setModifiedDate(Date modifiedDate) {
		_modifiedDate = modifiedDate;
	}

	public String getPrimaryKeywords() {
		return _primaryKeywords;
	}

	public void setPrimaryKeywords(String primaryKeywords) {
		_primaryKeywords = primaryKeywords;
	}

	public String getSecondaryKeywords() {
		return _secondaryKeywords;
	}

	public void setSecondaryKeywords(String secondaryKeywords) {
		_secondaryKeywords = secondaryKeywords;
	}

	public long getPrimaryId() {
		return _primaryId;
	}

	public void setPrimaryId(long primaryId) {
		_primaryId = primaryId;
	}

	public long getPrimaryClassId() {
		return _primaryClassId;
	}

	public void setPrimaryClassId(long primaryClassId) {
		_primaryClassId = primaryClassId;
	}

	public long getSecondaryId() {
		return _secondaryId;
	}

	public void setSecondaryId(long secondaryId) {
		_secondaryId = secondaryId;
	}

	public long getSecondaryClassId() {
		return _secondaryClassId;
	}

	public void setSecondaryClassId(long secondaryClassId) {
		_secondaryClassId = secondaryClassId;
	}

	public long getPriority() {
		return _priority;
	}

	public void setPriority(long priority) {
		_priority = priority;
	}

	public ContentConnection toEscapedModel() {
		if (isEscapedModel()) {
			return this;
		}
		else {
			ContentConnection model = new ContentConnectionClp();

			model.setEscapedModel(true);

			model.setConnectionId(getConnectionId());
			model.setGroupId(getGroupId());
			model.setCompanyId(getCompanyId());
			model.setUserId(getUserId());
			model.setCreateDate(getCreateDate());
			model.setModifiedDate(getModifiedDate());
			model.setPrimaryKeywords(HtmlUtil.escape(getPrimaryKeywords()));
			model.setSecondaryKeywords(HtmlUtil.escape(getSecondaryKeywords()));
			model.setPrimaryId(getPrimaryId());
			model.setPrimaryClassId(getPrimaryClassId());
			model.setSecondaryId(getSecondaryId());
			model.setSecondaryClassId(getSecondaryClassId());
			model.setPriority(getPriority());

			model = (ContentConnection)Proxy.newProxyInstance(ContentConnection.class.getClassLoader(),
					new Class[] { ContentConnection.class },
					new ReadOnlyBeanHandler(model));

			return model;
		}
	}

	public Object clone() {
		ContentConnectionClp clone = new ContentConnectionClp();

		clone.setConnectionId(getConnectionId());
		clone.setGroupId(getGroupId());
		clone.setCompanyId(getCompanyId());
		clone.setUserId(getUserId());
		clone.setCreateDate(getCreateDate());
		clone.setModifiedDate(getModifiedDate());
		clone.setPrimaryKeywords(getPrimaryKeywords());
		clone.setSecondaryKeywords(getSecondaryKeywords());
		clone.setPrimaryId(getPrimaryId());
		clone.setPrimaryClassId(getPrimaryClassId());
		clone.setSecondaryId(getSecondaryId());
		clone.setSecondaryClassId(getSecondaryClassId());
		clone.setPriority(getPriority());

		return clone;
	}

	public int compareTo(ContentConnection contentConnection) {
		int value = 0;

		if (getPriority() < contentConnection.getPriority()) {
			value = -1;
		}
		else if (getPriority() > contentConnection.getPriority()) {
			value = 1;
		}
		else {
			value = 0;
		}

		if (value != 0) {
			return value;
		}

		return 0;
	}

	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}

		ContentConnectionClp contentConnection = null;

		try {
			contentConnection = (ContentConnectionClp)obj;
		}
		catch (ClassCastException cce) {
			return false;
		}

		long pk = contentConnection.getPrimaryKey();

		if (getPrimaryKey() == pk) {
			return true;
		}
		else {
			return false;
		}
	}

	public int hashCode() {
		return (int)getPrimaryKey();
	}

	public String toString() {
		StringBuilder sb = new StringBuilder();

		sb.append("{connectionId=");
		sb.append(getConnectionId());
		sb.append(", groupId=");
		sb.append(getGroupId());
		sb.append(", companyId=");
		sb.append(getCompanyId());
		sb.append(", userId=");
		sb.append(getUserId());
		sb.append(", createDate=");
		sb.append(getCreateDate());
		sb.append(", modifiedDate=");
		sb.append(getModifiedDate());
		sb.append(", primaryKeywords=");
		sb.append(getPrimaryKeywords());
		sb.append(", secondaryKeywords=");
		sb.append(getSecondaryKeywords());
		sb.append(", primaryId=");
		sb.append(getPrimaryId());
		sb.append(", primaryClassId=");
		sb.append(getPrimaryClassId());
		sb.append(", secondaryId=");
		sb.append(getSecondaryId());
		sb.append(", secondaryClassId=");
		sb.append(getSecondaryClassId());
		sb.append(", priority=");
		sb.append(getPriority());
		sb.append("}");

		return sb.toString();
	}

	public String toXmlString() {
		StringBuilder sb = new StringBuilder();

		sb.append("<model><model-name>");
		sb.append("com.ceb2b2000.connector.model.ContentConnection");
		sb.append("</model-name>");

		sb.append(
			"<column><column-name>connectionId</column-name><column-value><![CDATA[");
		sb.append(getConnectionId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>groupId</column-name><column-value><![CDATA[");
		sb.append(getGroupId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>companyId</column-name><column-value><![CDATA[");
		sb.append(getCompanyId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>userId</column-name><column-value><![CDATA[");
		sb.append(getUserId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>createDate</column-name><column-value><![CDATA[");
		sb.append(getCreateDate());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>modifiedDate</column-name><column-value><![CDATA[");
		sb.append(getModifiedDate());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>primaryKeywords</column-name><column-value><![CDATA[");
		sb.append(getPrimaryKeywords());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>secondaryKeywords</column-name><column-value><![CDATA[");
		sb.append(getSecondaryKeywords());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>primaryId</column-name><column-value><![CDATA[");
		sb.append(getPrimaryId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>primaryClassId</column-name><column-value><![CDATA[");
		sb.append(getPrimaryClassId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>secondaryId</column-name><column-value><![CDATA[");
		sb.append(getSecondaryId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>secondaryClassId</column-name><column-value><![CDATA[");
		sb.append(getSecondaryClassId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>priority</column-name><column-value><![CDATA[");
		sb.append(getPriority());
		sb.append("]]></column-value></column>");

		sb.append("</model>");

		return sb.toString();
	}

	private long _connectionId;
	private long _groupId;
	private long _companyId;
	private long _userId;
	private Date _createDate;
	private Date _modifiedDate;
	private String _primaryKeywords;
	private String _secondaryKeywords;
	private long _primaryId;
	private long _primaryClassId;
	private long _secondaryId;
	private long _secondaryClassId;
	private long _priority;
}