/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <a href="ContentConnectionSoap.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public class ContentConnectionSoap implements Serializable {
	public static ContentConnectionSoap toSoapModel(ContentConnection model) {
		ContentConnectionSoap soapModel = new ContentConnectionSoap();

		soapModel.setConnectionId(model.getConnectionId());
		soapModel.setGroupId(model.getGroupId());
		soapModel.setCompanyId(model.getCompanyId());
		soapModel.setUserId(model.getUserId());
		soapModel.setCreateDate(model.getCreateDate());
		soapModel.setModifiedDate(model.getModifiedDate());
		soapModel.setPrimaryKeywords(model.getPrimaryKeywords());
		soapModel.setSecondaryKeywords(model.getSecondaryKeywords());
		soapModel.setPrimaryId(model.getPrimaryId());
		soapModel.setPrimaryClassId(model.getPrimaryClassId());
		soapModel.setSecondaryId(model.getSecondaryId());
		soapModel.setSecondaryClassId(model.getSecondaryClassId());
		soapModel.setPriority(model.getPriority());

		return soapModel;
	}

	public static ContentConnectionSoap[] toSoapModels(
		ContentConnection[] models) {
		ContentConnectionSoap[] soapModels = new ContentConnectionSoap[models.length];

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModel(models[i]);
		}

		return soapModels;
	}

	public static ContentConnectionSoap[][] toSoapModels(
		ContentConnection[][] models) {
		ContentConnectionSoap[][] soapModels = null;

		if (models.length > 0) {
			soapModels = new ContentConnectionSoap[models.length][models[0].length];
		}
		else {
			soapModels = new ContentConnectionSoap[0][0];
		}

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModels(models[i]);
		}

		return soapModels;
	}

	public static ContentConnectionSoap[] toSoapModels(
		List<ContentConnection> models) {
		List<ContentConnectionSoap> soapModels = new ArrayList<ContentConnectionSoap>(models.size());

		for (ContentConnection model : models) {
			soapModels.add(toSoapModel(model));
		}

		return soapModels.toArray(new ContentConnectionSoap[soapModels.size()]);
	}

	public ContentConnectionSoap() {
	}

	public long getPrimaryKey() {
		return _connectionId;
	}

	public void setPrimaryKey(long pk) {
		setConnectionId(pk);
	}

	public long getConnectionId() {
		return _connectionId;
	}

	public void setConnectionId(long connectionId) {
		_connectionId = connectionId;
	}

	public long getGroupId() {
		return _groupId;
	}

	public void setGroupId(long groupId) {
		_groupId = groupId;
	}

	public long getCompanyId() {
		return _companyId;
	}

	public void setCompanyId(long companyId) {
		_companyId = companyId;
	}

	public long getUserId() {
		return _userId;
	}

	public void setUserId(long userId) {
		_userId = userId;
	}

	public Date getCreateDate() {
		return _createDate;
	}

	public void setCreateDate(Date createDate) {
		_createDate = createDate;
	}

	public Date getModifiedDate() {
		return _modifiedDate;
	}

	public void setModifiedDate(Date modifiedDate) {
		_modifiedDate = modifiedDate;
	}

	public String getPrimaryKeywords() {
		return _primaryKeywords;
	}

	public void setPrimaryKeywords(String primaryKeywords) {
		_primaryKeywords = primaryKeywords;
	}

	public String getSecondaryKeywords() {
		return _secondaryKeywords;
	}

	public void setSecondaryKeywords(String secondaryKeywords) {
		_secondaryKeywords = secondaryKeywords;
	}

	public long getPrimaryId() {
		return _primaryId;
	}

	public void setPrimaryId(long primaryId) {
		_primaryId = primaryId;
	}

	public long getPrimaryClassId() {
		return _primaryClassId;
	}

	public void setPrimaryClassId(long primaryClassId) {
		_primaryClassId = primaryClassId;
	}

	public long getSecondaryId() {
		return _secondaryId;
	}

	public void setSecondaryId(long secondaryId) {
		_secondaryId = secondaryId;
	}

	public long getSecondaryClassId() {
		return _secondaryClassId;
	}

	public void setSecondaryClassId(long secondaryClassId) {
		_secondaryClassId = secondaryClassId;
	}

	public long getPriority() {
		return _priority;
	}

	public void setPriority(long priority) {
		_priority = priority;
	}

	private long _connectionId;
	private long _groupId;
	private long _companyId;
	private long _userId;
	private Date _createDate;
	private Date _modifiedDate;
	private String _primaryKeywords;
	private String _secondaryKeywords;
	private long _primaryId;
	private long _primaryClassId;
	private long _secondaryId;
	private long _secondaryClassId;
	private long _priority;
}