/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <a href="StructureRestrictionSoap.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public class StructureRestrictionSoap implements Serializable {
	public static StructureRestrictionSoap toSoapModel(
		StructureRestriction model) {
		StructureRestrictionSoap soapModel = new StructureRestrictionSoap();

		soapModel.setRestrictionId(model.getRestrictionId());
		soapModel.setCompanyId(model.getCompanyId());
		soapModel.setGroupId(model.getGroupId());
		soapModel.setUserId(model.getUserId());
		soapModel.setCreateDate(model.getCreateDate());
		soapModel.setModifiedDate(model.getModifiedDate());
		soapModel.setStructureId(model.getStructureId());
		soapModel.setRelatedStructureId(model.getRelatedStructureId());

		return soapModel;
	}

	public static StructureRestrictionSoap[] toSoapModels(
		StructureRestriction[] models) {
		StructureRestrictionSoap[] soapModels = new StructureRestrictionSoap[models.length];

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModel(models[i]);
		}

		return soapModels;
	}

	public static StructureRestrictionSoap[][] toSoapModels(
		StructureRestriction[][] models) {
		StructureRestrictionSoap[][] soapModels = null;

		if (models.length > 0) {
			soapModels = new StructureRestrictionSoap[models.length][models[0].length];
		}
		else {
			soapModels = new StructureRestrictionSoap[0][0];
		}

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModels(models[i]);
		}

		return soapModels;
	}

	public static StructureRestrictionSoap[] toSoapModels(
		List<StructureRestriction> models) {
		List<StructureRestrictionSoap> soapModels = new ArrayList<StructureRestrictionSoap>(models.size());

		for (StructureRestriction model : models) {
			soapModels.add(toSoapModel(model));
		}

		return soapModels.toArray(new StructureRestrictionSoap[soapModels.size()]);
	}

	public StructureRestrictionSoap() {
	}

	public long getPrimaryKey() {
		return _restrictionId;
	}

	public void setPrimaryKey(long pk) {
		setRestrictionId(pk);
	}

	public long getRestrictionId() {
		return _restrictionId;
	}

	public void setRestrictionId(long restrictionId) {
		_restrictionId = restrictionId;
	}

	public long getCompanyId() {
		return _companyId;
	}

	public void setCompanyId(long companyId) {
		_companyId = companyId;
	}

	public long getGroupId() {
		return _groupId;
	}

	public void setGroupId(long groupId) {
		_groupId = groupId;
	}

	public long getUserId() {
		return _userId;
	}

	public void setUserId(long userId) {
		_userId = userId;
	}

	public Date getCreateDate() {
		return _createDate;
	}

	public void setCreateDate(Date createDate) {
		_createDate = createDate;
	}

	public Date getModifiedDate() {
		return _modifiedDate;
	}

	public void setModifiedDate(Date modifiedDate) {
		_modifiedDate = modifiedDate;
	}

	public String getStructureId() {
		return _structureId;
	}

	public void setStructureId(String structureId) {
		_structureId = structureId;
	}

	public String getRelatedStructureId() {
		return _relatedStructureId;
	}

	public void setRelatedStructureId(String relatedStructureId) {
		_relatedStructureId = relatedStructureId;
	}

	private long _restrictionId;
	private long _companyId;
	private long _groupId;
	private long _userId;
	private Date _createDate;
	private Date _modifiedDate;
	private String _structureId;
	private String _relatedStructureId;
}