/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.service;

import com.ceb2b2000.connector.model.ContentConnectionClp;
import com.ceb2b2000.connector.model.StructureRestrictionClp;

import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.model.BaseModel;

import java.lang.reflect.Method;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <a href="ClpSerializer.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public class ClpSerializer {
	public static final String SERVLET_CONTEXT_NAME = "content-connector-portlet";

	public static void setClassLoader(ClassLoader classLoader) {
		_classLoader = classLoader;
	}

	public static Object translateInput(BaseModel oldModel) {
		Class<?> oldModelClass = oldModel.getClass();

		String oldModelClassName = oldModelClass.getName();

		if (oldModelClassName.equals(ContentConnectionClp.class.getName())) {
			ContentConnectionClp oldCplModel = (ContentConnectionClp)oldModel;

			ClassLoader contextClassLoader = Thread.currentThread()
												   .getContextClassLoader();

			try {
				Thread.currentThread().setContextClassLoader(_classLoader);

				try {
					Class<?> newModelClass = Class.forName("com.ceb2b2000.connector.model.impl.ContentConnectionImpl",
							true, _classLoader);

					Object newModel = newModelClass.newInstance();

					Method method0 = newModelClass.getMethod("setConnectionId",
							new Class[] { Long.TYPE });

					Long value0 = new Long(oldCplModel.getConnectionId());

					method0.invoke(newModel, value0);

					Method method1 = newModelClass.getMethod("setGroupId",
							new Class[] { Long.TYPE });

					Long value1 = new Long(oldCplModel.getGroupId());

					method1.invoke(newModel, value1);

					Method method2 = newModelClass.getMethod("setCompanyId",
							new Class[] { Long.TYPE });

					Long value2 = new Long(oldCplModel.getCompanyId());

					method2.invoke(newModel, value2);

					Method method3 = newModelClass.getMethod("setUserId",
							new Class[] { Long.TYPE });

					Long value3 = new Long(oldCplModel.getUserId());

					method3.invoke(newModel, value3);

					Method method4 = newModelClass.getMethod("setCreateDate",
							new Class[] { Date.class });

					Date value4 = oldCplModel.getCreateDate();

					method4.invoke(newModel, value4);

					Method method5 = newModelClass.getMethod("setModifiedDate",
							new Class[] { Date.class });

					Date value5 = oldCplModel.getModifiedDate();

					method5.invoke(newModel, value5);

					Method method6 = newModelClass.getMethod("setPrimaryKeywords",
							new Class[] { String.class });

					String value6 = oldCplModel.getPrimaryKeywords();

					method6.invoke(newModel, value6);

					Method method7 = newModelClass.getMethod("setSecondaryKeywords",
							new Class[] { String.class });

					String value7 = oldCplModel.getSecondaryKeywords();

					method7.invoke(newModel, value7);

					Method method8 = newModelClass.getMethod("setPrimaryId",
							new Class[] { Long.TYPE });

					Long value8 = new Long(oldCplModel.getPrimaryId());

					method8.invoke(newModel, value8);

					Method method9 = newModelClass.getMethod("setPrimaryClassId",
							new Class[] { Long.TYPE });

					Long value9 = new Long(oldCplModel.getPrimaryClassId());

					method9.invoke(newModel, value9);

					Method method10 = newModelClass.getMethod("setSecondaryId",
							new Class[] { Long.TYPE });

					Long value10 = new Long(oldCplModel.getSecondaryId());

					method10.invoke(newModel, value10);

					Method method11 = newModelClass.getMethod("setSecondaryClassId",
							new Class[] { Long.TYPE });

					Long value11 = new Long(oldCplModel.getSecondaryClassId());

					method11.invoke(newModel, value11);

					Method method12 = newModelClass.getMethod("setPriority",
							new Class[] { Long.TYPE });

					Long value12 = new Long(oldCplModel.getPriority());

					method12.invoke(newModel, value12);

					return newModel;
				}
				catch (Exception e) {
					_log.error(e, e);
				}
			}
			finally {
				Thread.currentThread().setContextClassLoader(contextClassLoader);
			}
		}

		if (oldModelClassName.equals(StructureRestrictionClp.class.getName())) {
			StructureRestrictionClp oldCplModel = (StructureRestrictionClp)oldModel;

			ClassLoader contextClassLoader = Thread.currentThread()
												   .getContextClassLoader();

			try {
				Thread.currentThread().setContextClassLoader(_classLoader);

				try {
					Class<?> newModelClass = Class.forName("com.ceb2b2000.connector.model.impl.StructureRestrictionImpl",
							true, _classLoader);

					Object newModel = newModelClass.newInstance();

					Method method0 = newModelClass.getMethod("setRestrictionId",
							new Class[] { Long.TYPE });

					Long value0 = new Long(oldCplModel.getRestrictionId());

					method0.invoke(newModel, value0);

					Method method1 = newModelClass.getMethod("setCompanyId",
							new Class[] { Long.TYPE });

					Long value1 = new Long(oldCplModel.getCompanyId());

					method1.invoke(newModel, value1);

					Method method2 = newModelClass.getMethod("setGroupId",
							new Class[] { Long.TYPE });

					Long value2 = new Long(oldCplModel.getGroupId());

					method2.invoke(newModel, value2);

					Method method3 = newModelClass.getMethod("setUserId",
							new Class[] { Long.TYPE });

					Long value3 = new Long(oldCplModel.getUserId());

					method3.invoke(newModel, value3);

					Method method4 = newModelClass.getMethod("setCreateDate",
							new Class[] { Date.class });

					Date value4 = oldCplModel.getCreateDate();

					method4.invoke(newModel, value4);

					Method method5 = newModelClass.getMethod("setModifiedDate",
							new Class[] { Date.class });

					Date value5 = oldCplModel.getModifiedDate();

					method5.invoke(newModel, value5);

					Method method6 = newModelClass.getMethod("setStructureId",
							new Class[] { String.class });

					String value6 = oldCplModel.getStructureId();

					method6.invoke(newModel, value6);

					Method method7 = newModelClass.getMethod("setRelatedStructureId",
							new Class[] { String.class });

					String value7 = oldCplModel.getRelatedStructureId();

					method7.invoke(newModel, value7);

					return newModel;
				}
				catch (Exception e) {
					_log.error(e, e);
				}
			}
			finally {
				Thread.currentThread().setContextClassLoader(contextClassLoader);
			}
		}

		return oldModel;
	}

	public static Object translateInput(List<Object> oldList) {
		List<Object> newList = new ArrayList<Object>(oldList.size());

		for (int i = 0; i < oldList.size(); i++) {
			Object curObj = oldList.get(i);

			newList.add(translateInput(curObj));
		}

		return newList;
	}

	public static Object translateInput(Object obj) {
		if (obj instanceof BaseModel) {
			return translateInput((BaseModel)obj);
		}
		else if (obj instanceof List) {
			return translateInput((List<Object>)obj);
		}
		else {
			return obj;
		}
	}

	public static Object translateOutput(BaseModel oldModel) {
		Class<?> oldModelClass = oldModel.getClass();

		String oldModelClassName = oldModelClass.getName();

		if (oldModelClassName.equals(
					"com.ceb2b2000.connector.model.impl.ContentConnectionImpl")) {
			ClassLoader contextClassLoader = Thread.currentThread()
												   .getContextClassLoader();

			try {
				Thread.currentThread().setContextClassLoader(_classLoader);

				try {
					ContentConnectionClp newModel = new ContentConnectionClp();

					Method method0 = oldModelClass.getMethod("getConnectionId");

					Long value0 = (Long)method0.invoke(oldModel, (Object[])null);

					newModel.setConnectionId(value0.longValue());

					Method method1 = oldModelClass.getMethod("getGroupId");

					Long value1 = (Long)method1.invoke(oldModel, (Object[])null);

					newModel.setGroupId(value1.longValue());

					Method method2 = oldModelClass.getMethod("getCompanyId");

					Long value2 = (Long)method2.invoke(oldModel, (Object[])null);

					newModel.setCompanyId(value2.longValue());

					Method method3 = oldModelClass.getMethod("getUserId");

					Long value3 = (Long)method3.invoke(oldModel, (Object[])null);

					newModel.setUserId(value3.longValue());

					Method method4 = oldModelClass.getMethod("getCreateDate");

					Date value4 = (Date)method4.invoke(oldModel, (Object[])null);

					newModel.setCreateDate(value4);

					Method method5 = oldModelClass.getMethod("getModifiedDate");

					Date value5 = (Date)method5.invoke(oldModel, (Object[])null);

					newModel.setModifiedDate(value5);

					Method method6 = oldModelClass.getMethod(
							"getPrimaryKeywords");

					String value6 = (String)method6.invoke(oldModel,
							(Object[])null);

					newModel.setPrimaryKeywords(value6);

					Method method7 = oldModelClass.getMethod(
							"getSecondaryKeywords");

					String value7 = (String)method7.invoke(oldModel,
							(Object[])null);

					newModel.setSecondaryKeywords(value7);

					Method method8 = oldModelClass.getMethod("getPrimaryId");

					Long value8 = (Long)method8.invoke(oldModel, (Object[])null);

					newModel.setPrimaryId(value8.longValue());

					Method method9 = oldModelClass.getMethod(
							"getPrimaryClassId");

					Long value9 = (Long)method9.invoke(oldModel, (Object[])null);

					newModel.setPrimaryClassId(value9.longValue());

					Method method10 = oldModelClass.getMethod("getSecondaryId");

					Long value10 = (Long)method10.invoke(oldModel,
							(Object[])null);

					newModel.setSecondaryId(value10.longValue());

					Method method11 = oldModelClass.getMethod(
							"getSecondaryClassId");

					Long value11 = (Long)method11.invoke(oldModel,
							(Object[])null);

					newModel.setSecondaryClassId(value11.longValue());

					Method method12 = oldModelClass.getMethod("getPriority");

					Long value12 = (Long)method12.invoke(oldModel,
							(Object[])null);

					newModel.setPriority(value12.longValue());

					return newModel;
				}
				catch (Exception e) {
					_log.error(e, e);
				}
			}
			finally {
				Thread.currentThread().setContextClassLoader(contextClassLoader);
			}
		}

		if (oldModelClassName.equals(
					"com.ceb2b2000.connector.model.impl.StructureRestrictionImpl")) {
			ClassLoader contextClassLoader = Thread.currentThread()
												   .getContextClassLoader();

			try {
				Thread.currentThread().setContextClassLoader(_classLoader);

				try {
					StructureRestrictionClp newModel = new StructureRestrictionClp();

					Method method0 = oldModelClass.getMethod("getRestrictionId");

					Long value0 = (Long)method0.invoke(oldModel, (Object[])null);

					newModel.setRestrictionId(value0.longValue());

					Method method1 = oldModelClass.getMethod("getCompanyId");

					Long value1 = (Long)method1.invoke(oldModel, (Object[])null);

					newModel.setCompanyId(value1.longValue());

					Method method2 = oldModelClass.getMethod("getGroupId");

					Long value2 = (Long)method2.invoke(oldModel, (Object[])null);

					newModel.setGroupId(value2.longValue());

					Method method3 = oldModelClass.getMethod("getUserId");

					Long value3 = (Long)method3.invoke(oldModel, (Object[])null);

					newModel.setUserId(value3.longValue());

					Method method4 = oldModelClass.getMethod("getCreateDate");

					Date value4 = (Date)method4.invoke(oldModel, (Object[])null);

					newModel.setCreateDate(value4);

					Method method5 = oldModelClass.getMethod("getModifiedDate");

					Date value5 = (Date)method5.invoke(oldModel, (Object[])null);

					newModel.setModifiedDate(value5);

					Method method6 = oldModelClass.getMethod("getStructureId");

					String value6 = (String)method6.invoke(oldModel,
							(Object[])null);

					newModel.setStructureId(value6);

					Method method7 = oldModelClass.getMethod(
							"getRelatedStructureId");

					String value7 = (String)method7.invoke(oldModel,
							(Object[])null);

					newModel.setRelatedStructureId(value7);

					return newModel;
				}
				catch (Exception e) {
					_log.error(e, e);
				}
			}
			finally {
				Thread.currentThread().setContextClassLoader(contextClassLoader);
			}
		}

		return oldModel;
	}

	public static Object translateOutput(List<Object> oldList) {
		List<Object> newList = new ArrayList<Object>(oldList.size());

		for (int i = 0; i < oldList.size(); i++) {
			Object curObj = oldList.get(i);

			newList.add(translateOutput(curObj));
		}

		return newList;
	}

	public static Object translateOutput(Object obj) {
		if (obj instanceof BaseModel) {
			return translateOutput((BaseModel)obj);
		}
		else if (obj instanceof List) {
			return translateOutput((List<Object>)obj);
		}
		else {
			return obj;
		}
	}

	private static Log _log = LogFactoryUtil.getLog(ClpSerializer.class);
	private static ClassLoader _classLoader;
}