/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.service;

import com.liferay.portal.PortalException;
import com.liferay.portal.SystemException;
import com.liferay.portal.kernel.annotation.Isolation;
import com.liferay.portal.kernel.annotation.Propagation;
import com.liferay.portal.kernel.annotation.Transactional;

/**
 * <a href="ContentConnectionLocalService.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
@Transactional(isolation = Isolation.PORTAL, rollbackFor =  {
	PortalException.class, SystemException.class})
public interface ContentConnectionLocalService {
	public com.ceb2b2000.connector.model.ContentConnection addContentConnection(
		com.ceb2b2000.connector.model.ContentConnection contentConnection)
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection createContentConnection(
		long connectionId);

	public void deleteContentConnection(long connectionId)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void deleteContentConnection(
		com.ceb2b2000.connector.model.ContentConnection contentConnection)
		throws com.liferay.portal.SystemException;

	public java.util.List<Object> dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.SystemException;

	public java.util.List<Object> dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.SystemException;

	@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
	public com.ceb2b2000.connector.model.ContentConnection getContentConnection(
		long connectionId)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> getContentConnections(
		int start, int end) throws com.liferay.portal.SystemException;

	@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
	public int getContentConnectionsCount()
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection updateContentConnection(
		com.ceb2b2000.connector.model.ContentConnection contentConnection)
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection updateContentConnection(
		com.ceb2b2000.connector.model.ContentConnection contentConnection,
		boolean merge) throws com.liferay.portal.SystemException;

	public void removeConnections(long classPK, long classNameId)
		throws com.liferay.portal.SystemException;

	public void incrementPriority(long companyId, long groupId, long primaryId,
		long primaryClassId, long secondaryId, long secondaryClassId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException;

	public void decrementPriority(long companyId, long groupId, long primaryId,
		long primaryClassId, long secondaryId, long secondaryClassId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException;

	public boolean existsConnection(long companyId, long groupId,
		long primaryId, java.lang.Class<?> primaryClass, long secondaryId,
		java.lang.Class<?> secondaryClass)
		throws com.liferay.portal.SystemException;

	public void deleteContentConnection(long companyId, long groupId,
		long primaryId, java.lang.Class<?> primaryClass, long secondaryId,
		java.lang.Class<?> secondaryClass)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection addContentConnection(
		long companyId, long groupId, long userId, long primaryId,
		java.lang.Class<?> primaryClass, java.lang.String primaryKeywords,
		long secondaryId, java.lang.Class<?> secondaryClass,
		java.lang.String secondaryKeywords)
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection addContentConnection(
		java.lang.Long companyId, java.lang.Long groupId,
		java.lang.Long userId, java.lang.Long primaryId,
		java.lang.Long primaryClassNameId, java.lang.String primaryKeywords,
		java.lang.Long secondaryId, java.lang.Long secondaryClassNameId,
		java.lang.String secondaryKeywords)
		throws com.liferay.portal.SystemException;

	@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
	public void reIndex(java.lang.String className, long classPK)
		throws com.liferay.portal.kernel.search.SearchException;

	@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
	public void reIndex(java.lang.String[] ids)
		throws com.liferay.portal.kernel.search.SearchException;

	@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
	public void reIndex(
		com.ceb2b2000.connector.model.ContentConnection connection)
		throws com.liferay.portal.kernel.search.SearchException;

	@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
	public com.liferay.portal.kernel.search.Hits search(
		java.lang.Long companyId, java.lang.Long groupId,
		java.lang.Long userId, java.lang.Long ownerUserId,
		java.lang.Long primaryClassNameId, java.lang.String keywords,
		java.lang.Integer start, java.lang.Integer end)
		throws com.liferay.portal.SystemException;

	@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
	public com.liferay.portal.kernel.search.Hits search(
		java.lang.Long companyId, java.lang.Long groupId,
		java.lang.Long userId, java.lang.Long ownerUserId,
		java.lang.Long primaryId, java.lang.Long primaryClassNameId,
		java.lang.Long secondaryId, java.lang.Long secondaryClassNameId,
		java.lang.String keywords, java.lang.Integer start,
		java.lang.Integer end) throws com.liferay.portal.SystemException;
}