/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.service;

import com.liferay.portal.kernel.util.BooleanWrapper;
import com.liferay.portal.kernel.util.ClassLoaderProxy;
import com.liferay.portal.kernel.util.IntegerWrapper;
import com.liferay.portal.kernel.util.LongWrapper;
import com.liferay.portal.kernel.util.NullWrapper;

/**
 * <a href="ContentConnectionLocalServiceClp.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public class ContentConnectionLocalServiceClp
	implements ContentConnectionLocalService {
	public ContentConnectionLocalServiceClp(ClassLoaderProxy classLoaderProxy) {
		_classLoaderProxy = classLoaderProxy;
	}

	public com.ceb2b2000.connector.model.ContentConnection addContentConnection(
		com.ceb2b2000.connector.model.ContentConnection contentConnection)
		throws com.liferay.portal.SystemException {
		Object paramObj0 = ClpSerializer.translateInput(contentConnection);

		if (contentConnection == null) {
			paramObj0 = new NullWrapper(
					"com.ceb2b2000.connector.model.ContentConnection");
		}

		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("addContentConnection",
					new Object[] { paramObj0 });
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return (com.ceb2b2000.connector.model.ContentConnection)ClpSerializer.translateOutput(returnObj);
	}

	public com.ceb2b2000.connector.model.ContentConnection createContentConnection(
		long connectionId) {
		Object paramObj0 = new LongWrapper(connectionId);

		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("createContentConnection",
					new Object[] { paramObj0 });
		}
		catch (Throwable t) {
			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return (com.ceb2b2000.connector.model.ContentConnection)ClpSerializer.translateOutput(returnObj);
	}

	public void deleteContentConnection(long connectionId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		Object paramObj0 = new LongWrapper(connectionId);

		try {
			_classLoaderProxy.invoke("deleteContentConnection",
				new Object[] { paramObj0 });
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.PortalException) {
				throw (com.liferay.portal.PortalException)t;
			}

			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}
	}

	public void deleteContentConnection(
		com.ceb2b2000.connector.model.ContentConnection contentConnection)
		throws com.liferay.portal.SystemException {
		Object paramObj0 = ClpSerializer.translateInput(contentConnection);

		if (contentConnection == null) {
			paramObj0 = new NullWrapper(
					"com.ceb2b2000.connector.model.ContentConnection");
		}

		try {
			_classLoaderProxy.invoke("deleteContentConnection",
				new Object[] { paramObj0 });
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}
	}

	public java.util.List<Object> dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.SystemException {
		Object paramObj0 = ClpSerializer.translateInput(dynamicQuery);

		if (dynamicQuery == null) {
			paramObj0 = new NullWrapper(
					"com.liferay.portal.kernel.dao.orm.DynamicQuery");
		}

		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("dynamicQuery",
					new Object[] { paramObj0 });
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return (java.util.List<Object>)ClpSerializer.translateOutput(returnObj);
	}

	public java.util.List<Object> dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.SystemException {
		Object paramObj0 = ClpSerializer.translateInput(dynamicQuery);

		if (dynamicQuery == null) {
			paramObj0 = new NullWrapper(
					"com.liferay.portal.kernel.dao.orm.DynamicQuery");
		}

		Object paramObj1 = new IntegerWrapper(start);

		Object paramObj2 = new IntegerWrapper(end);

		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("dynamicQuery",
					new Object[] { paramObj0, paramObj1, paramObj2 });
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return (java.util.List<Object>)ClpSerializer.translateOutput(returnObj);
	}

	public com.ceb2b2000.connector.model.ContentConnection getContentConnection(
		long connectionId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		Object paramObj0 = new LongWrapper(connectionId);

		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("getContentConnection",
					new Object[] { paramObj0 });
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.PortalException) {
				throw (com.liferay.portal.PortalException)t;
			}

			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return (com.ceb2b2000.connector.model.ContentConnection)ClpSerializer.translateOutput(returnObj);
	}

	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> getContentConnections(
		int start, int end) throws com.liferay.portal.SystemException {
		Object paramObj0 = new IntegerWrapper(start);

		Object paramObj1 = new IntegerWrapper(end);

		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("getContentConnections",
					new Object[] { paramObj0, paramObj1 });
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return (java.util.List<com.ceb2b2000.connector.model.ContentConnection>)ClpSerializer.translateOutput(returnObj);
	}

	public int getContentConnectionsCount()
		throws com.liferay.portal.SystemException {
		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("getContentConnectionsCount",
					new Object[0]);
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return ((Integer)returnObj).intValue();
	}

	public com.ceb2b2000.connector.model.ContentConnection updateContentConnection(
		com.ceb2b2000.connector.model.ContentConnection contentConnection)
		throws com.liferay.portal.SystemException {
		Object paramObj0 = ClpSerializer.translateInput(contentConnection);

		if (contentConnection == null) {
			paramObj0 = new NullWrapper(
					"com.ceb2b2000.connector.model.ContentConnection");
		}

		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("updateContentConnection",
					new Object[] { paramObj0 });
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return (com.ceb2b2000.connector.model.ContentConnection)ClpSerializer.translateOutput(returnObj);
	}

	public com.ceb2b2000.connector.model.ContentConnection updateContentConnection(
		com.ceb2b2000.connector.model.ContentConnection contentConnection,
		boolean merge) throws com.liferay.portal.SystemException {
		Object paramObj0 = ClpSerializer.translateInput(contentConnection);

		if (contentConnection == null) {
			paramObj0 = new NullWrapper(
					"com.ceb2b2000.connector.model.ContentConnection");
		}

		Object paramObj1 = new BooleanWrapper(merge);

		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("updateContentConnection",
					new Object[] { paramObj0, paramObj1 });
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return (com.ceb2b2000.connector.model.ContentConnection)ClpSerializer.translateOutput(returnObj);
	}

	public void removeConnections(long classPK, long classNameId)
		throws com.liferay.portal.SystemException {
		Object paramObj0 = new LongWrapper(classPK);

		Object paramObj1 = new LongWrapper(classNameId);

		try {
			_classLoaderProxy.invoke("removeConnections",
				new Object[] { paramObj0, paramObj1 });
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}
	}

	public void incrementPriority(long companyId, long groupId, long primaryId,
		long primaryClassId, long secondaryId, long secondaryClassId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		Object paramObj0 = new LongWrapper(companyId);

		Object paramObj1 = new LongWrapper(groupId);

		Object paramObj2 = new LongWrapper(primaryId);

		Object paramObj3 = new LongWrapper(primaryClassId);

		Object paramObj4 = new LongWrapper(secondaryId);

		Object paramObj5 = new LongWrapper(secondaryClassId);

		try {
			_classLoaderProxy.invoke("incrementPriority",
				new Object[] {
					paramObj0, paramObj1, paramObj2, paramObj3, paramObj4,
					paramObj5
				});
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.PortalException) {
				throw (com.liferay.portal.PortalException)t;
			}

			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}
	}

	public void decrementPriority(long companyId, long groupId, long primaryId,
		long primaryClassId, long secondaryId, long secondaryClassId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		Object paramObj0 = new LongWrapper(companyId);

		Object paramObj1 = new LongWrapper(groupId);

		Object paramObj2 = new LongWrapper(primaryId);

		Object paramObj3 = new LongWrapper(primaryClassId);

		Object paramObj4 = new LongWrapper(secondaryId);

		Object paramObj5 = new LongWrapper(secondaryClassId);

		try {
			_classLoaderProxy.invoke("decrementPriority",
				new Object[] {
					paramObj0, paramObj1, paramObj2, paramObj3, paramObj4,
					paramObj5
				});
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.PortalException) {
				throw (com.liferay.portal.PortalException)t;
			}

			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}
	}

	public boolean existsConnection(long companyId, long groupId,
		long primaryId, java.lang.Class<?> primaryClass, long secondaryId,
		java.lang.Class<?> secondaryClass)
		throws com.liferay.portal.SystemException {
		Object paramObj0 = new LongWrapper(companyId);

		Object paramObj1 = new LongWrapper(groupId);

		Object paramObj2 = new LongWrapper(primaryId);

		Object paramObj3 = ClpSerializer.translateInput(primaryClass);

		if (primaryClass == null) {
			paramObj3 = new NullWrapper("java.lang.Class");
		}

		Object paramObj4 = new LongWrapper(secondaryId);

		Object paramObj5 = ClpSerializer.translateInput(secondaryClass);

		if (secondaryClass == null) {
			paramObj5 = new NullWrapper("java.lang.Class");
		}

		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("existsConnection",
					new Object[] {
						paramObj0, paramObj1, paramObj2, paramObj3, paramObj4,
						paramObj5
					});
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return ((Boolean)returnObj).booleanValue();
	}

	public void deleteContentConnection(long companyId, long groupId,
		long primaryId, java.lang.Class<?> primaryClass, long secondaryId,
		java.lang.Class<?> secondaryClass)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		Object paramObj0 = new LongWrapper(companyId);

		Object paramObj1 = new LongWrapper(groupId);

		Object paramObj2 = new LongWrapper(primaryId);

		Object paramObj3 = ClpSerializer.translateInput(primaryClass);

		if (primaryClass == null) {
			paramObj3 = new NullWrapper("java.lang.Class");
		}

		Object paramObj4 = new LongWrapper(secondaryId);

		Object paramObj5 = ClpSerializer.translateInput(secondaryClass);

		if (secondaryClass == null) {
			paramObj5 = new NullWrapper("java.lang.Class");
		}

		try {
			_classLoaderProxy.invoke("deleteContentConnection",
				new Object[] {
					paramObj0, paramObj1, paramObj2, paramObj3, paramObj4,
					paramObj5
				});
		}
		catch (Throwable t) {
			if (t instanceof com.ceb2b2000.connector.NoSuchContentConnectionException) {
				throw (com.ceb2b2000.connector.NoSuchContentConnectionException)t;
			}

			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}
	}

	public com.ceb2b2000.connector.model.ContentConnection addContentConnection(
		long companyId, long groupId, long userId, long primaryId,
		java.lang.Class<?> primaryClass, java.lang.String primaryKeywords,
		long secondaryId, java.lang.Class<?> secondaryClass,
		java.lang.String secondaryKeywords)
		throws com.liferay.portal.SystemException {
		Object paramObj0 = new LongWrapper(companyId);

		Object paramObj1 = new LongWrapper(groupId);

		Object paramObj2 = new LongWrapper(userId);

		Object paramObj3 = new LongWrapper(primaryId);

		Object paramObj4 = ClpSerializer.translateInput(primaryClass);

		if (primaryClass == null) {
			paramObj4 = new NullWrapper("java.lang.Class");
		}

		Object paramObj5 = ClpSerializer.translateInput(primaryKeywords);

		if (primaryKeywords == null) {
			paramObj5 = new NullWrapper("java.lang.String");
		}

		Object paramObj6 = new LongWrapper(secondaryId);

		Object paramObj7 = ClpSerializer.translateInput(secondaryClass);

		if (secondaryClass == null) {
			paramObj7 = new NullWrapper("java.lang.Class");
		}

		Object paramObj8 = ClpSerializer.translateInput(secondaryKeywords);

		if (secondaryKeywords == null) {
			paramObj8 = new NullWrapper("java.lang.String");
		}

		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("addContentConnection",
					new Object[] {
						paramObj0, paramObj1, paramObj2, paramObj3, paramObj4,
						paramObj5, paramObj6, paramObj7, paramObj8
					});
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return (com.ceb2b2000.connector.model.ContentConnection)ClpSerializer.translateOutput(returnObj);
	}

	public com.ceb2b2000.connector.model.ContentConnection addContentConnection(
		java.lang.Long companyId, java.lang.Long groupId,
		java.lang.Long userId, java.lang.Long primaryId,
		java.lang.Long primaryClassNameId, java.lang.String primaryKeywords,
		java.lang.Long secondaryId, java.lang.Long secondaryClassNameId,
		java.lang.String secondaryKeywords)
		throws com.liferay.portal.SystemException {
		Object paramObj0 = ClpSerializer.translateInput(companyId);

		if (companyId == null) {
			paramObj0 = new NullWrapper("java.lang.Long");
		}

		Object paramObj1 = ClpSerializer.translateInput(groupId);

		if (groupId == null) {
			paramObj1 = new NullWrapper("java.lang.Long");
		}

		Object paramObj2 = ClpSerializer.translateInput(userId);

		if (userId == null) {
			paramObj2 = new NullWrapper("java.lang.Long");
		}

		Object paramObj3 = ClpSerializer.translateInput(primaryId);

		if (primaryId == null) {
			paramObj3 = new NullWrapper("java.lang.Long");
		}

		Object paramObj4 = ClpSerializer.translateInput(primaryClassNameId);

		if (primaryClassNameId == null) {
			paramObj4 = new NullWrapper("java.lang.Long");
		}

		Object paramObj5 = ClpSerializer.translateInput(primaryKeywords);

		if (primaryKeywords == null) {
			paramObj5 = new NullWrapper("java.lang.String");
		}

		Object paramObj6 = ClpSerializer.translateInput(secondaryId);

		if (secondaryId == null) {
			paramObj6 = new NullWrapper("java.lang.Long");
		}

		Object paramObj7 = ClpSerializer.translateInput(secondaryClassNameId);

		if (secondaryClassNameId == null) {
			paramObj7 = new NullWrapper("java.lang.Long");
		}

		Object paramObj8 = ClpSerializer.translateInput(secondaryKeywords);

		if (secondaryKeywords == null) {
			paramObj8 = new NullWrapper("java.lang.String");
		}

		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("addContentConnection",
					new Object[] {
						paramObj0, paramObj1, paramObj2, paramObj3, paramObj4,
						paramObj5, paramObj6, paramObj7, paramObj8
					});
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return (com.ceb2b2000.connector.model.ContentConnection)ClpSerializer.translateOutput(returnObj);
	}

	public void reIndex(java.lang.String className, long classPK)
		throws com.liferay.portal.kernel.search.SearchException {
		Object paramObj0 = ClpSerializer.translateInput(className);

		if (className == null) {
			paramObj0 = new NullWrapper("java.lang.String");
		}

		Object paramObj1 = new LongWrapper(classPK);

		try {
			_classLoaderProxy.invoke("reIndex",
				new Object[] { paramObj0, paramObj1 });
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.kernel.search.SearchException) {
				throw (com.liferay.portal.kernel.search.SearchException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}
	}

	public void reIndex(java.lang.String[] ids)
		throws com.liferay.portal.kernel.search.SearchException {
		Object paramObj0 = ClpSerializer.translateInput(ids);

		if (ids == null) {
			paramObj0 = new NullWrapper("[Ljava.lang.String;");
		}

		try {
			_classLoaderProxy.invoke("reIndex", new Object[] { paramObj0 });
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.kernel.search.SearchException) {
				throw (com.liferay.portal.kernel.search.SearchException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}
	}

	public void reIndex(
		com.ceb2b2000.connector.model.ContentConnection connection)
		throws com.liferay.portal.kernel.search.SearchException {
		Object paramObj0 = ClpSerializer.translateInput(connection);

		if (connection == null) {
			paramObj0 = new NullWrapper(
					"com.ceb2b2000.connector.model.ContentConnection");
		}

		try {
			_classLoaderProxy.invoke("reIndex", new Object[] { paramObj0 });
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.kernel.search.SearchException) {
				throw (com.liferay.portal.kernel.search.SearchException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}
	}

	public com.liferay.portal.kernel.search.Hits search(
		java.lang.Long companyId, java.lang.Long groupId,
		java.lang.Long userId, java.lang.Long ownerUserId,
		java.lang.Long primaryClassNameId, java.lang.String keywords,
		java.lang.Integer start, java.lang.Integer end)
		throws com.liferay.portal.SystemException {
		Object paramObj0 = ClpSerializer.translateInput(companyId);

		if (companyId == null) {
			paramObj0 = new NullWrapper("java.lang.Long");
		}

		Object paramObj1 = ClpSerializer.translateInput(groupId);

		if (groupId == null) {
			paramObj1 = new NullWrapper("java.lang.Long");
		}

		Object paramObj2 = ClpSerializer.translateInput(userId);

		if (userId == null) {
			paramObj2 = new NullWrapper("java.lang.Long");
		}

		Object paramObj3 = ClpSerializer.translateInput(ownerUserId);

		if (ownerUserId == null) {
			paramObj3 = new NullWrapper("java.lang.Long");
		}

		Object paramObj4 = ClpSerializer.translateInput(primaryClassNameId);

		if (primaryClassNameId == null) {
			paramObj4 = new NullWrapper("java.lang.Long");
		}

		Object paramObj5 = ClpSerializer.translateInput(keywords);

		if (keywords == null) {
			paramObj5 = new NullWrapper("java.lang.String");
		}

		Object paramObj6 = ClpSerializer.translateInput(start);

		if (start == null) {
			paramObj6 = new NullWrapper("java.lang.Integer");
		}

		Object paramObj7 = ClpSerializer.translateInput(end);

		if (end == null) {
			paramObj7 = new NullWrapper("java.lang.Integer");
		}

		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("search",
					new Object[] {
						paramObj0, paramObj1, paramObj2, paramObj3, paramObj4,
						paramObj5, paramObj6, paramObj7
					});
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return (com.liferay.portal.kernel.search.Hits)ClpSerializer.translateOutput(returnObj);
	}

	public com.liferay.portal.kernel.search.Hits search(
		java.lang.Long companyId, java.lang.Long groupId,
		java.lang.Long userId, java.lang.Long ownerUserId,
		java.lang.Long primaryId, java.lang.Long primaryClassNameId,
		java.lang.Long secondaryId, java.lang.Long secondaryClassNameId,
		java.lang.String keywords, java.lang.Integer start,
		java.lang.Integer end) throws com.liferay.portal.SystemException {
		Object paramObj0 = ClpSerializer.translateInput(companyId);

		if (companyId == null) {
			paramObj0 = new NullWrapper("java.lang.Long");
		}

		Object paramObj1 = ClpSerializer.translateInput(groupId);

		if (groupId == null) {
			paramObj1 = new NullWrapper("java.lang.Long");
		}

		Object paramObj2 = ClpSerializer.translateInput(userId);

		if (userId == null) {
			paramObj2 = new NullWrapper("java.lang.Long");
		}

		Object paramObj3 = ClpSerializer.translateInput(ownerUserId);

		if (ownerUserId == null) {
			paramObj3 = new NullWrapper("java.lang.Long");
		}

		Object paramObj4 = ClpSerializer.translateInput(primaryId);

		if (primaryId == null) {
			paramObj4 = new NullWrapper("java.lang.Long");
		}

		Object paramObj5 = ClpSerializer.translateInput(primaryClassNameId);

		if (primaryClassNameId == null) {
			paramObj5 = new NullWrapper("java.lang.Long");
		}

		Object paramObj6 = ClpSerializer.translateInput(secondaryId);

		if (secondaryId == null) {
			paramObj6 = new NullWrapper("java.lang.Long");
		}

		Object paramObj7 = ClpSerializer.translateInput(secondaryClassNameId);

		if (secondaryClassNameId == null) {
			paramObj7 = new NullWrapper("java.lang.Long");
		}

		Object paramObj8 = ClpSerializer.translateInput(keywords);

		if (keywords == null) {
			paramObj8 = new NullWrapper("java.lang.String");
		}

		Object paramObj9 = ClpSerializer.translateInput(start);

		if (start == null) {
			paramObj9 = new NullWrapper("java.lang.Integer");
		}

		Object paramObj10 = ClpSerializer.translateInput(end);

		if (end == null) {
			paramObj10 = new NullWrapper("java.lang.Integer");
		}

		Object returnObj = null;

		try {
			returnObj = _classLoaderProxy.invoke("search",
					new Object[] {
						paramObj0, paramObj1, paramObj2, paramObj3, paramObj4,
						paramObj5, paramObj6, paramObj7, paramObj8, paramObj9,
						paramObj10
					});
		}
		catch (Throwable t) {
			if (t instanceof com.liferay.portal.SystemException) {
				throw (com.liferay.portal.SystemException)t;
			}

			if (t instanceof RuntimeException) {
				throw (RuntimeException)t;
			}
			else {
				throw new RuntimeException(t.getClass().getName() +
					" is not a valid exception");
			}
		}

		return (com.liferay.portal.kernel.search.Hits)ClpSerializer.translateOutput(returnObj);
	}

	private ClassLoaderProxy _classLoaderProxy;
}