/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.service;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.util.ClassLoaderProxy;

/**
 * <a href="ContentConnectionLocalServiceUtil.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public class ContentConnectionLocalServiceUtil {
	public static com.ceb2b2000.connector.model.ContentConnection addContentConnection(
		com.ceb2b2000.connector.model.ContentConnection contentConnection)
		throws com.liferay.portal.SystemException {
		return getService().addContentConnection(contentConnection);
	}

	public static com.ceb2b2000.connector.model.ContentConnection createContentConnection(
		long connectionId) {
		return getService().createContentConnection(connectionId);
	}

	public static void deleteContentConnection(long connectionId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		getService().deleteContentConnection(connectionId);
	}

	public static void deleteContentConnection(
		com.ceb2b2000.connector.model.ContentConnection contentConnection)
		throws com.liferay.portal.SystemException {
		getService().deleteContentConnection(contentConnection);
	}

	public static java.util.List<Object> dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.SystemException {
		return getService().dynamicQuery(dynamicQuery);
	}

	public static java.util.List<Object> dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.SystemException {
		return getService().dynamicQuery(dynamicQuery, start, end);
	}

	public static com.ceb2b2000.connector.model.ContentConnection getContentConnection(
		long connectionId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		return getService().getContentConnection(connectionId);
	}

	public static java.util.List<com.ceb2b2000.connector.model.ContentConnection> getContentConnections(
		int start, int end) throws com.liferay.portal.SystemException {
		return getService().getContentConnections(start, end);
	}

	public static int getContentConnectionsCount()
		throws com.liferay.portal.SystemException {
		return getService().getContentConnectionsCount();
	}

	public static com.ceb2b2000.connector.model.ContentConnection updateContentConnection(
		com.ceb2b2000.connector.model.ContentConnection contentConnection)
		throws com.liferay.portal.SystemException {
		return getService().updateContentConnection(contentConnection);
	}

	public static com.ceb2b2000.connector.model.ContentConnection updateContentConnection(
		com.ceb2b2000.connector.model.ContentConnection contentConnection,
		boolean merge) throws com.liferay.portal.SystemException {
		return getService().updateContentConnection(contentConnection, merge);
	}

	public static void removeConnections(long classPK, long classNameId)
		throws com.liferay.portal.SystemException {
		getService().removeConnections(classPK, classNameId);
	}

	public static void incrementPriority(long companyId, long groupId,
		long primaryId, long primaryClassId, long secondaryId,
		long secondaryClassId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		getService()
			.incrementPriority(companyId, groupId, primaryId, primaryClassId,
			secondaryId, secondaryClassId);
	}

	public static void decrementPriority(long companyId, long groupId,
		long primaryId, long primaryClassId, long secondaryId,
		long secondaryClassId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		getService()
			.decrementPriority(companyId, groupId, primaryId, primaryClassId,
			secondaryId, secondaryClassId);
	}

	public static boolean existsConnection(long companyId, long groupId,
		long primaryId, java.lang.Class<?> primaryClass, long secondaryId,
		java.lang.Class<?> secondaryClass)
		throws com.liferay.portal.SystemException {
		return getService()
				   .existsConnection(companyId, groupId, primaryId,
			primaryClass, secondaryId, secondaryClass);
	}

	public static void deleteContentConnection(long companyId, long groupId,
		long primaryId, java.lang.Class<?> primaryClass, long secondaryId,
		java.lang.Class<?> secondaryClass)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		getService()
			.deleteContentConnection(companyId, groupId, primaryId,
			primaryClass, secondaryId, secondaryClass);
	}

	public static com.ceb2b2000.connector.model.ContentConnection addContentConnection(
		long companyId, long groupId, long userId, long primaryId,
		java.lang.Class<?> primaryClass, java.lang.String primaryKeywords,
		long secondaryId, java.lang.Class<?> secondaryClass,
		java.lang.String secondaryKeywords)
		throws com.liferay.portal.SystemException {
		return getService()
				   .addContentConnection(companyId, groupId, userId, primaryId,
			primaryClass, primaryKeywords, secondaryId, secondaryClass,
			secondaryKeywords);
	}

	public static com.ceb2b2000.connector.model.ContentConnection addContentConnection(
		java.lang.Long companyId, java.lang.Long groupId,
		java.lang.Long userId, java.lang.Long primaryId,
		java.lang.Long primaryClassNameId, java.lang.String primaryKeywords,
		java.lang.Long secondaryId, java.lang.Long secondaryClassNameId,
		java.lang.String secondaryKeywords)
		throws com.liferay.portal.SystemException {
		return getService()
				   .addContentConnection(companyId, groupId, userId, primaryId,
			primaryClassNameId, primaryKeywords, secondaryId,
			secondaryClassNameId, secondaryKeywords);
	}

	public static void reIndex(java.lang.String className, long classPK)
		throws com.liferay.portal.kernel.search.SearchException {
		getService().reIndex(className, classPK);
	}

	public static void reIndex(java.lang.String[] ids)
		throws com.liferay.portal.kernel.search.SearchException {
		getService().reIndex(ids);
	}

	public static void reIndex(
		com.ceb2b2000.connector.model.ContentConnection connection)
		throws com.liferay.portal.kernel.search.SearchException {
		getService().reIndex(connection);
	}

	public static com.liferay.portal.kernel.search.Hits search(
		java.lang.Long companyId, java.lang.Long groupId,
		java.lang.Long userId, java.lang.Long ownerUserId,
		java.lang.Long primaryClassNameId, java.lang.String keywords,
		java.lang.Integer start, java.lang.Integer end)
		throws com.liferay.portal.SystemException {
		return getService()
				   .search(companyId, groupId, userId, ownerUserId,
			primaryClassNameId, keywords, start, end);
	}

	public static com.liferay.portal.kernel.search.Hits search(
		java.lang.Long companyId, java.lang.Long groupId,
		java.lang.Long userId, java.lang.Long ownerUserId,
		java.lang.Long primaryId, java.lang.Long primaryClassNameId,
		java.lang.Long secondaryId, java.lang.Long secondaryClassNameId,
		java.lang.String keywords, java.lang.Integer start,
		java.lang.Integer end) throws com.liferay.portal.SystemException {
		return getService()
				   .search(companyId, groupId, userId, ownerUserId, primaryId,
			primaryClassNameId, secondaryId, secondaryClassNameId, keywords,
			start, end);
	}

	public static void clearService() {
		_service = null;
	}

	public static ContentConnectionLocalService getService() {
		if (_service == null) {
			Object obj = PortletBeanLocatorUtil.locate(ClpSerializer.SERVLET_CONTEXT_NAME,
					ContentConnectionLocalServiceUtil.class.getName());
			ClassLoader portletClassLoader = (ClassLoader)PortletBeanLocatorUtil.locate(ClpSerializer.SERVLET_CONTEXT_NAME,
					"portletClassLoader");

			ClassLoaderProxy classLoaderProxy = new ClassLoaderProxy(obj,
					portletClassLoader);

			_service = new ContentConnectionLocalServiceClp(classLoaderProxy);

			ClpSerializer.setClassLoader(portletClassLoader);
		}

		return _service;
	}

	public void setService(ContentConnectionLocalService service) {
		_service = service;
	}

	private static ContentConnectionLocalService _service;
}