/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.service;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.util.ClassLoaderProxy;

/**
 * <a href="StructureRestrictionLocalServiceUtil.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public class StructureRestrictionLocalServiceUtil {
	public static com.ceb2b2000.connector.model.StructureRestriction addStructureRestriction(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction)
		throws com.liferay.portal.SystemException {
		return getService().addStructureRestriction(structureRestriction);
	}

	public static com.ceb2b2000.connector.model.StructureRestriction createStructureRestriction(
		long restrictionId) {
		return getService().createStructureRestriction(restrictionId);
	}

	public static void deleteStructureRestriction(long restrictionId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		getService().deleteStructureRestriction(restrictionId);
	}

	public static void deleteStructureRestriction(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction)
		throws com.liferay.portal.SystemException {
		getService().deleteStructureRestriction(structureRestriction);
	}

	public static java.util.List<Object> dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.SystemException {
		return getService().dynamicQuery(dynamicQuery);
	}

	public static java.util.List<Object> dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.SystemException {
		return getService().dynamicQuery(dynamicQuery, start, end);
	}

	public static com.ceb2b2000.connector.model.StructureRestriction getStructureRestriction(
		long restrictionId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException {
		return getService().getStructureRestriction(restrictionId);
	}

	public static java.util.List<com.ceb2b2000.connector.model.StructureRestriction> getStructureRestrictions(
		int start, int end) throws com.liferay.portal.SystemException {
		return getService().getStructureRestrictions(start, end);
	}

	public static int getStructureRestrictionsCount()
		throws com.liferay.portal.SystemException {
		return getService().getStructureRestrictionsCount();
	}

	public static com.ceb2b2000.connector.model.StructureRestriction updateStructureRestriction(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction)
		throws com.liferay.portal.SystemException {
		return getService().updateStructureRestriction(structureRestriction);
	}

	public static com.ceb2b2000.connector.model.StructureRestriction updateStructureRestriction(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction,
		boolean merge) throws com.liferay.portal.SystemException {
		return getService()
				   .updateStructureRestriction(structureRestriction, merge);
	}

	public static java.util.List<com.ceb2b2000.connector.model.StructureRestriction> getRestrictions(
		long companyId, long groupId, java.lang.String structureId)
		throws com.liferay.portal.SystemException {
		return getService().getRestrictions(companyId, groupId, structureId);
	}

	public static void updateRestrictions(long companyId, long groupId,
		long userId, java.lang.String structureId,
		java.lang.String[] restrictions)
		throws com.ceb2b2000.connector.NoSuchStructureRestrictionException,
			com.liferay.portal.SystemException {
		getService()
			.updateRestrictions(companyId, groupId, userId, structureId,
			restrictions);
	}

	public static void clearService() {
		_service = null;
	}

	public static StructureRestrictionLocalService getService() {
		if (_service == null) {
			Object obj = PortletBeanLocatorUtil.locate(ClpSerializer.SERVLET_CONTEXT_NAME,
					StructureRestrictionLocalServiceUtil.class.getName());
			ClassLoader portletClassLoader = (ClassLoader)PortletBeanLocatorUtil.locate(ClpSerializer.SERVLET_CONTEXT_NAME,
					"portletClassLoader");

			ClassLoaderProxy classLoaderProxy = new ClassLoaderProxy(obj,
					portletClassLoader);

			_service = new StructureRestrictionLocalServiceClp(classLoaderProxy);

			ClpSerializer.setClassLoader(portletClassLoader);
		}

		return _service;
	}

	public void setService(StructureRestrictionLocalService service) {
		_service = service;
	}

	private static StructureRestrictionLocalService _service;
}