/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.service.persistence;

import com.liferay.portal.service.persistence.BasePersistence;

/**
 * <a href="ContentConnectionPersistence.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public interface ContentConnectionPersistence extends BasePersistence {
	public void cacheResult(
		com.ceb2b2000.connector.model.ContentConnection contentConnection);

	public void cacheResult(
		java.util.List<com.ceb2b2000.connector.model.ContentConnection> contentConnections);

	public void clearCache();

	public com.ceb2b2000.connector.model.ContentConnection create(
		long connectionId);

	public com.ceb2b2000.connector.model.ContentConnection remove(
		long connectionId)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection remove(
		com.ceb2b2000.connector.model.ContentConnection contentConnection)
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection update(
		com.ceb2b2000.connector.model.ContentConnection contentConnection)
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection update(
		com.ceb2b2000.connector.model.ContentConnection contentConnection,
		boolean merge) throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection updateImpl(
		com.ceb2b2000.connector.model.ContentConnection contentConnection,
		boolean merge) throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection findByPrimaryKey(
		long connectionId)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection fetchByPrimaryKey(
		long connectionId) throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection findByPriority(
		long companyId, long groupId, long primaryId, long primaryClassId,
		long priority)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection fetchByPriority(
		long companyId, long groupId, long primaryId, long primaryClassId,
		long priority) throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection fetchByPriority(
		long companyId, long groupId, long primaryId, long primaryClassId,
		long priority, boolean retrieveFromCache)
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection findByRelation(
		long companyId, long groupId, long primaryId, long primaryClassId,
		long secondaryId, long secondaryClassId)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection fetchByRelation(
		long companyId, long groupId, long primaryId, long primaryClassId,
		long secondaryId, long secondaryClassId)
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection fetchByRelation(
		long companyId, long groupId, long primaryId, long primaryClassId,
		long secondaryId, long secondaryClassId, boolean retrieveFromCache)
		throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> findByCompanyId(
		long companyId) throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> findByCompanyId(
		long companyId, int start, int end)
		throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> findByCompanyId(
		long companyId, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection findByCompanyId_First(
		long companyId, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection findByCompanyId_Last(
		long companyId, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection[] findByCompanyId_PrevAndNext(
		long connectionId, long companyId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> findByPrimaryId(
		long primaryId, long primaryClassId)
		throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> findByPrimaryId(
		long primaryId, long primaryClassId, int start, int end)
		throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> findByPrimaryId(
		long primaryId, long primaryClassId, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection findByPrimaryId_First(
		long primaryId, long primaryClassId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection findByPrimaryId_Last(
		long primaryId, long primaryClassId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection[] findByPrimaryId_PrevAndNext(
		long connectionId, long primaryId, long primaryClassId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> findBySecondaryId(
		long secondaryId, long secondaryClassId)
		throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> findBySecondaryId(
		long secondaryId, long secondaryClassId, int start, int end)
		throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> findBySecondaryId(
		long secondaryId, long secondaryClassId, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection findBySecondaryId_First(
		long secondaryId, long secondaryClassId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection findBySecondaryId_Last(
		long secondaryId, long secondaryClassId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.ContentConnection[] findBySecondaryId_PrevAndNext(
		long connectionId, long secondaryId, long secondaryClassId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public java.util.List<Object> findWithDynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.SystemException;

	public java.util.List<Object> findWithDynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> findAll()
		throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> findAll(
		int start, int end) throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.ContentConnection> findAll(
		int start, int end, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public void removeByPriority(long companyId, long groupId, long primaryId,
		long primaryClassId, long priority)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public void removeByRelation(long companyId, long groupId, long primaryId,
		long primaryClassId, long secondaryId, long secondaryClassId)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException;

	public void removeByCompanyId(long companyId)
		throws com.liferay.portal.SystemException;

	public void removeByPrimaryId(long primaryId, long primaryClassId)
		throws com.liferay.portal.SystemException;

	public void removeBySecondaryId(long secondaryId, long secondaryClassId)
		throws com.liferay.portal.SystemException;

	public void removeAll() throws com.liferay.portal.SystemException;

	public int countByPriority(long companyId, long groupId, long primaryId,
		long primaryClassId, long priority)
		throws com.liferay.portal.SystemException;

	public int countByRelation(long companyId, long groupId, long primaryId,
		long primaryClassId, long secondaryId, long secondaryClassId)
		throws com.liferay.portal.SystemException;

	public int countByCompanyId(long companyId)
		throws com.liferay.portal.SystemException;

	public int countByPrimaryId(long primaryId, long primaryClassId)
		throws com.liferay.portal.SystemException;

	public int countBySecondaryId(long secondaryId, long secondaryClassId)
		throws com.liferay.portal.SystemException;

	public int countAll() throws com.liferay.portal.SystemException;
}