/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.service.persistence;

/**
 * <a href="ContentConnectionUtil.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public class ContentConnectionUtil {
	public static void cacheResult(
		com.ceb2b2000.connector.model.ContentConnection contentConnection) {
		getPersistence().cacheResult(contentConnection);
	}

	public static void cacheResult(
		java.util.List<com.ceb2b2000.connector.model.ContentConnection> contentConnections) {
		getPersistence().cacheResult(contentConnections);
	}

	public static void clearCache() {
		getPersistence().clearCache();
	}

	public static com.ceb2b2000.connector.model.ContentConnection create(
		long connectionId) {
		return getPersistence().create(connectionId);
	}

	public static com.ceb2b2000.connector.model.ContentConnection remove(
		long connectionId)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		return getPersistence().remove(connectionId);
	}

	public static com.ceb2b2000.connector.model.ContentConnection remove(
		com.ceb2b2000.connector.model.ContentConnection contentConnection)
		throws com.liferay.portal.SystemException {
		return getPersistence().remove(contentConnection);
	}

	public static com.ceb2b2000.connector.model.ContentConnection update(
		com.ceb2b2000.connector.model.ContentConnection contentConnection)
		throws com.liferay.portal.SystemException {
		return getPersistence().update(contentConnection);
	}

	public static com.ceb2b2000.connector.model.ContentConnection update(
		com.ceb2b2000.connector.model.ContentConnection contentConnection,
		boolean merge) throws com.liferay.portal.SystemException {
		return getPersistence().update(contentConnection, merge);
	}

	public static com.ceb2b2000.connector.model.ContentConnection updateImpl(
		com.ceb2b2000.connector.model.ContentConnection contentConnection,
		boolean merge) throws com.liferay.portal.SystemException {
		return getPersistence().updateImpl(contentConnection, merge);
	}

	public static com.ceb2b2000.connector.model.ContentConnection findByPrimaryKey(
		long connectionId)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		return getPersistence().findByPrimaryKey(connectionId);
	}

	public static com.ceb2b2000.connector.model.ContentConnection fetchByPrimaryKey(
		long connectionId) throws com.liferay.portal.SystemException {
		return getPersistence().fetchByPrimaryKey(connectionId);
	}

	public static com.ceb2b2000.connector.model.ContentConnection findByPriority(
		long companyId, long groupId, long primaryId, long primaryClassId,
		long priority)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		return getPersistence()
				   .findByPriority(companyId, groupId, primaryId,
			primaryClassId, priority);
	}

	public static com.ceb2b2000.connector.model.ContentConnection fetchByPriority(
		long companyId, long groupId, long primaryId, long primaryClassId,
		long priority) throws com.liferay.portal.SystemException {
		return getPersistence()
				   .fetchByPriority(companyId, groupId, primaryId,
			primaryClassId, priority);
	}

	public static com.ceb2b2000.connector.model.ContentConnection fetchByPriority(
		long companyId, long groupId, long primaryId, long primaryClassId,
		long priority, boolean retrieveFromCache)
		throws com.liferay.portal.SystemException {
		return getPersistence()
				   .fetchByPriority(companyId, groupId, primaryId,
			primaryClassId, priority, retrieveFromCache);
	}

	public static com.ceb2b2000.connector.model.ContentConnection findByRelation(
		long companyId, long groupId, long primaryId, long primaryClassId,
		long secondaryId, long secondaryClassId)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		return getPersistence()
				   .findByRelation(companyId, groupId, primaryId,
			primaryClassId, secondaryId, secondaryClassId);
	}

	public static com.ceb2b2000.connector.model.ContentConnection fetchByRelation(
		long companyId, long groupId, long primaryId, long primaryClassId,
		long secondaryId, long secondaryClassId)
		throws com.liferay.portal.SystemException {
		return getPersistence()
				   .fetchByRelation(companyId, groupId, primaryId,
			primaryClassId, secondaryId, secondaryClassId);
	}

	public static com.ceb2b2000.connector.model.ContentConnection fetchByRelation(
		long companyId, long groupId, long primaryId, long primaryClassId,
		long secondaryId, long secondaryClassId, boolean retrieveFromCache)
		throws com.liferay.portal.SystemException {
		return getPersistence()
				   .fetchByRelation(companyId, groupId, primaryId,
			primaryClassId, secondaryId, secondaryClassId, retrieveFromCache);
	}

	public static java.util.List<com.ceb2b2000.connector.model.ContentConnection> findByCompanyId(
		long companyId) throws com.liferay.portal.SystemException {
		return getPersistence().findByCompanyId(companyId);
	}

	public static java.util.List<com.ceb2b2000.connector.model.ContentConnection> findByCompanyId(
		long companyId, int start, int end)
		throws com.liferay.portal.SystemException {
		return getPersistence().findByCompanyId(companyId, start, end);
	}

	public static java.util.List<com.ceb2b2000.connector.model.ContentConnection> findByCompanyId(
		long companyId, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException {
		return getPersistence().findByCompanyId(companyId, start, end, obc);
	}

	public static com.ceb2b2000.connector.model.ContentConnection findByCompanyId_First(
		long companyId, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		return getPersistence().findByCompanyId_First(companyId, obc);
	}

	public static com.ceb2b2000.connector.model.ContentConnection findByCompanyId_Last(
		long companyId, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		return getPersistence().findByCompanyId_Last(companyId, obc);
	}

	public static com.ceb2b2000.connector.model.ContentConnection[] findByCompanyId_PrevAndNext(
		long connectionId, long companyId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		return getPersistence()
				   .findByCompanyId_PrevAndNext(connectionId, companyId, obc);
	}

	public static java.util.List<com.ceb2b2000.connector.model.ContentConnection> findByPrimaryId(
		long primaryId, long primaryClassId)
		throws com.liferay.portal.SystemException {
		return getPersistence().findByPrimaryId(primaryId, primaryClassId);
	}

	public static java.util.List<com.ceb2b2000.connector.model.ContentConnection> findByPrimaryId(
		long primaryId, long primaryClassId, int start, int end)
		throws com.liferay.portal.SystemException {
		return getPersistence()
				   .findByPrimaryId(primaryId, primaryClassId, start, end);
	}

	public static java.util.List<com.ceb2b2000.connector.model.ContentConnection> findByPrimaryId(
		long primaryId, long primaryClassId, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException {
		return getPersistence()
				   .findByPrimaryId(primaryId, primaryClassId, start, end, obc);
	}

	public static com.ceb2b2000.connector.model.ContentConnection findByPrimaryId_First(
		long primaryId, long primaryClassId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		return getPersistence()
				   .findByPrimaryId_First(primaryId, primaryClassId, obc);
	}

	public static com.ceb2b2000.connector.model.ContentConnection findByPrimaryId_Last(
		long primaryId, long primaryClassId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		return getPersistence()
				   .findByPrimaryId_Last(primaryId, primaryClassId, obc);
	}

	public static com.ceb2b2000.connector.model.ContentConnection[] findByPrimaryId_PrevAndNext(
		long connectionId, long primaryId, long primaryClassId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		return getPersistence()
				   .findByPrimaryId_PrevAndNext(connectionId, primaryId,
			primaryClassId, obc);
	}

	public static java.util.List<com.ceb2b2000.connector.model.ContentConnection> findBySecondaryId(
		long secondaryId, long secondaryClassId)
		throws com.liferay.portal.SystemException {
		return getPersistence().findBySecondaryId(secondaryId, secondaryClassId);
	}

	public static java.util.List<com.ceb2b2000.connector.model.ContentConnection> findBySecondaryId(
		long secondaryId, long secondaryClassId, int start, int end)
		throws com.liferay.portal.SystemException {
		return getPersistence()
				   .findBySecondaryId(secondaryId, secondaryClassId, start, end);
	}

	public static java.util.List<com.ceb2b2000.connector.model.ContentConnection> findBySecondaryId(
		long secondaryId, long secondaryClassId, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException {
		return getPersistence()
				   .findBySecondaryId(secondaryId, secondaryClassId, start,
			end, obc);
	}

	public static com.ceb2b2000.connector.model.ContentConnection findBySecondaryId_First(
		long secondaryId, long secondaryClassId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		return getPersistence()
				   .findBySecondaryId_First(secondaryId, secondaryClassId, obc);
	}

	public static com.ceb2b2000.connector.model.ContentConnection findBySecondaryId_Last(
		long secondaryId, long secondaryClassId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		return getPersistence()
				   .findBySecondaryId_Last(secondaryId, secondaryClassId, obc);
	}

	public static com.ceb2b2000.connector.model.ContentConnection[] findBySecondaryId_PrevAndNext(
		long connectionId, long secondaryId, long secondaryClassId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		return getPersistence()
				   .findBySecondaryId_PrevAndNext(connectionId, secondaryId,
			secondaryClassId, obc);
	}

	public static java.util.List<Object> findWithDynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery);
	}

	public static java.util.List<Object> findWithDynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery, start, end);
	}

	public static java.util.List<com.ceb2b2000.connector.model.ContentConnection> findAll()
		throws com.liferay.portal.SystemException {
		return getPersistence().findAll();
	}

	public static java.util.List<com.ceb2b2000.connector.model.ContentConnection> findAll(
		int start, int end) throws com.liferay.portal.SystemException {
		return getPersistence().findAll(start, end);
	}

	public static java.util.List<com.ceb2b2000.connector.model.ContentConnection> findAll(
		int start, int end, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException {
		return getPersistence().findAll(start, end, obc);
	}

	public static void removeByPriority(long companyId, long groupId,
		long primaryId, long primaryClassId, long priority)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		getPersistence()
			.removeByPriority(companyId, groupId, primaryId, primaryClassId,
			priority);
	}

	public static void removeByRelation(long companyId, long groupId,
		long primaryId, long primaryClassId, long secondaryId,
		long secondaryClassId)
		throws com.ceb2b2000.connector.NoSuchContentConnectionException,
			com.liferay.portal.SystemException {
		getPersistence()
			.removeByRelation(companyId, groupId, primaryId, primaryClassId,
			secondaryId, secondaryClassId);
	}

	public static void removeByCompanyId(long companyId)
		throws com.liferay.portal.SystemException {
		getPersistence().removeByCompanyId(companyId);
	}

	public static void removeByPrimaryId(long primaryId, long primaryClassId)
		throws com.liferay.portal.SystemException {
		getPersistence().removeByPrimaryId(primaryId, primaryClassId);
	}

	public static void removeBySecondaryId(long secondaryId,
		long secondaryClassId) throws com.liferay.portal.SystemException {
		getPersistence().removeBySecondaryId(secondaryId, secondaryClassId);
	}

	public static void removeAll() throws com.liferay.portal.SystemException {
		getPersistence().removeAll();
	}

	public static int countByPriority(long companyId, long groupId,
		long primaryId, long primaryClassId, long priority)
		throws com.liferay.portal.SystemException {
		return getPersistence()
				   .countByPriority(companyId, groupId, primaryId,
			primaryClassId, priority);
	}

	public static int countByRelation(long companyId, long groupId,
		long primaryId, long primaryClassId, long secondaryId,
		long secondaryClassId) throws com.liferay.portal.SystemException {
		return getPersistence()
				   .countByRelation(companyId, groupId, primaryId,
			primaryClassId, secondaryId, secondaryClassId);
	}

	public static int countByCompanyId(long companyId)
		throws com.liferay.portal.SystemException {
		return getPersistence().countByCompanyId(companyId);
	}

	public static int countByPrimaryId(long primaryId, long primaryClassId)
		throws com.liferay.portal.SystemException {
		return getPersistence().countByPrimaryId(primaryId, primaryClassId);
	}

	public static int countBySecondaryId(long secondaryId, long secondaryClassId)
		throws com.liferay.portal.SystemException {
		return getPersistence().countBySecondaryId(secondaryId, secondaryClassId);
	}

	public static int countAll() throws com.liferay.portal.SystemException {
		return getPersistence().countAll();
	}

	public static ContentConnectionPersistence getPersistence() {
		return _persistence;
	}

	public void setPersistence(ContentConnectionPersistence persistence) {
		_persistence = persistence;
	}

	private static ContentConnectionPersistence _persistence;
}