/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.service.persistence;

import com.liferay.portal.service.persistence.BasePersistence;

/**
 * <a href="StructureRestrictionPersistence.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public interface StructureRestrictionPersistence extends BasePersistence {
	public void cacheResult(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction);

	public void cacheResult(
		java.util.List<com.ceb2b2000.connector.model.StructureRestriction> structureRestrictions);

	public void clearCache();

	public com.ceb2b2000.connector.model.StructureRestriction create(
		long restrictionId);

	public com.ceb2b2000.connector.model.StructureRestriction remove(
		long restrictionId)
		throws com.ceb2b2000.connector.NoSuchStructureRestrictionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.StructureRestriction remove(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction)
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.StructureRestriction update(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction)
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.StructureRestriction update(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction,
		boolean merge) throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.StructureRestriction updateImpl(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction,
		boolean merge) throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.StructureRestriction findByPrimaryKey(
		long restrictionId)
		throws com.ceb2b2000.connector.NoSuchStructureRestrictionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.StructureRestriction fetchByPrimaryKey(
		long restrictionId) throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.StructureRestriction> findByC_G_S(
		long companyId, long groupId, java.lang.String structureId)
		throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.StructureRestriction> findByC_G_S(
		long companyId, long groupId, java.lang.String structureId, int start,
		int end) throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.StructureRestriction> findByC_G_S(
		long companyId, long groupId, java.lang.String structureId, int start,
		int end, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.StructureRestriction findByC_G_S_First(
		long companyId, long groupId, java.lang.String structureId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchStructureRestrictionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.StructureRestriction findByC_G_S_Last(
		long companyId, long groupId, java.lang.String structureId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchStructureRestrictionException,
			com.liferay.portal.SystemException;

	public com.ceb2b2000.connector.model.StructureRestriction[] findByC_G_S_PrevAndNext(
		long restrictionId, long companyId, long groupId,
		java.lang.String structureId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchStructureRestrictionException,
			com.liferay.portal.SystemException;

	public java.util.List<Object> findWithDynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.SystemException;

	public java.util.List<Object> findWithDynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.StructureRestriction> findAll()
		throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.StructureRestriction> findAll(
		int start, int end) throws com.liferay.portal.SystemException;

	public java.util.List<com.ceb2b2000.connector.model.StructureRestriction> findAll(
		int start, int end, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public void removeByC_G_S(long companyId, long groupId,
		java.lang.String structureId) throws com.liferay.portal.SystemException;

	public void removeAll() throws com.liferay.portal.SystemException;

	public int countByC_G_S(long companyId, long groupId,
		java.lang.String structureId) throws com.liferay.portal.SystemException;

	public int countAll() throws com.liferay.portal.SystemException;
}