/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.service.persistence;

/**
 * <a href="StructureRestrictionUtil.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public class StructureRestrictionUtil {
	public static void cacheResult(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction) {
		getPersistence().cacheResult(structureRestriction);
	}

	public static void cacheResult(
		java.util.List<com.ceb2b2000.connector.model.StructureRestriction> structureRestrictions) {
		getPersistence().cacheResult(structureRestrictions);
	}

	public static void clearCache() {
		getPersistence().clearCache();
	}

	public static com.ceb2b2000.connector.model.StructureRestriction create(
		long restrictionId) {
		return getPersistence().create(restrictionId);
	}

	public static com.ceb2b2000.connector.model.StructureRestriction remove(
		long restrictionId)
		throws com.ceb2b2000.connector.NoSuchStructureRestrictionException,
			com.liferay.portal.SystemException {
		return getPersistence().remove(restrictionId);
	}

	public static com.ceb2b2000.connector.model.StructureRestriction remove(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction)
		throws com.liferay.portal.SystemException {
		return getPersistence().remove(structureRestriction);
	}

	public static com.ceb2b2000.connector.model.StructureRestriction update(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction)
		throws com.liferay.portal.SystemException {
		return getPersistence().update(structureRestriction);
	}

	public static com.ceb2b2000.connector.model.StructureRestriction update(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction,
		boolean merge) throws com.liferay.portal.SystemException {
		return getPersistence().update(structureRestriction, merge);
	}

	public static com.ceb2b2000.connector.model.StructureRestriction updateImpl(
		com.ceb2b2000.connector.model.StructureRestriction structureRestriction,
		boolean merge) throws com.liferay.portal.SystemException {
		return getPersistence().updateImpl(structureRestriction, merge);
	}

	public static com.ceb2b2000.connector.model.StructureRestriction findByPrimaryKey(
		long restrictionId)
		throws com.ceb2b2000.connector.NoSuchStructureRestrictionException,
			com.liferay.portal.SystemException {
		return getPersistence().findByPrimaryKey(restrictionId);
	}

	public static com.ceb2b2000.connector.model.StructureRestriction fetchByPrimaryKey(
		long restrictionId) throws com.liferay.portal.SystemException {
		return getPersistence().fetchByPrimaryKey(restrictionId);
	}

	public static java.util.List<com.ceb2b2000.connector.model.StructureRestriction> findByC_G_S(
		long companyId, long groupId, java.lang.String structureId)
		throws com.liferay.portal.SystemException {
		return getPersistence().findByC_G_S(companyId, groupId, structureId);
	}

	public static java.util.List<com.ceb2b2000.connector.model.StructureRestriction> findByC_G_S(
		long companyId, long groupId, java.lang.String structureId, int start,
		int end) throws com.liferay.portal.SystemException {
		return getPersistence()
				   .findByC_G_S(companyId, groupId, structureId, start, end);
	}

	public static java.util.List<com.ceb2b2000.connector.model.StructureRestriction> findByC_G_S(
		long companyId, long groupId, java.lang.String structureId, int start,
		int end, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException {
		return getPersistence()
				   .findByC_G_S(companyId, groupId, structureId, start, end, obc);
	}

	public static com.ceb2b2000.connector.model.StructureRestriction findByC_G_S_First(
		long companyId, long groupId, java.lang.String structureId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchStructureRestrictionException,
			com.liferay.portal.SystemException {
		return getPersistence()
				   .findByC_G_S_First(companyId, groupId, structureId, obc);
	}

	public static com.ceb2b2000.connector.model.StructureRestriction findByC_G_S_Last(
		long companyId, long groupId, java.lang.String structureId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchStructureRestrictionException,
			com.liferay.portal.SystemException {
		return getPersistence()
				   .findByC_G_S_Last(companyId, groupId, structureId, obc);
	}

	public static com.ceb2b2000.connector.model.StructureRestriction[] findByC_G_S_PrevAndNext(
		long restrictionId, long companyId, long groupId,
		java.lang.String structureId,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.ceb2b2000.connector.NoSuchStructureRestrictionException,
			com.liferay.portal.SystemException {
		return getPersistence()
				   .findByC_G_S_PrevAndNext(restrictionId, companyId, groupId,
			structureId, obc);
	}

	public static java.util.List<Object> findWithDynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery);
	}

	public static java.util.List<Object> findWithDynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery, start, end);
	}

	public static java.util.List<com.ceb2b2000.connector.model.StructureRestriction> findAll()
		throws com.liferay.portal.SystemException {
		return getPersistence().findAll();
	}

	public static java.util.List<com.ceb2b2000.connector.model.StructureRestriction> findAll(
		int start, int end) throws com.liferay.portal.SystemException {
		return getPersistence().findAll(start, end);
	}

	public static java.util.List<com.ceb2b2000.connector.model.StructureRestriction> findAll(
		int start, int end, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException {
		return getPersistence().findAll(start, end, obc);
	}

	public static void removeByC_G_S(long companyId, long groupId,
		java.lang.String structureId) throws com.liferay.portal.SystemException {
		getPersistence().removeByC_G_S(companyId, groupId, structureId);
	}

	public static void removeAll() throws com.liferay.portal.SystemException {
		getPersistence().removeAll();
	}

	public static int countByC_G_S(long companyId, long groupId,
		java.lang.String structureId) throws com.liferay.portal.SystemException {
		return getPersistence().countByC_G_S(companyId, groupId, structureId);
	}

	public static int countAll() throws com.liferay.portal.SystemException {
		return getPersistence().countAll();
	}

	public static StructureRestrictionPersistence getPersistence() {
		return _persistence;
	}

	public void setPersistence(StructureRestrictionPersistence persistence) {
		_persistence = persistence;
	}

	private static StructureRestrictionPersistence _persistence;
}