package com.ceb2b2000.connector.connectors;


import javax.portlet.PortletURL;

import com.ceb2b2000.connector.service.ContentConnectionLocalServiceUtil;
import com.ceb2b2000.connector.util.NullPortletURL;
import com.liferay.portal.SystemException;
import com.liferay.portal.util.PortalUtil;

public abstract class AbstractConnectable implements Connectable {
	
	public boolean isConnectedTo(ConnectorContext ctx, Connectable other) {
		try {
			long companyId = PortalUtil.getCompanyId(ctx.getRequest());
			long groupId = PortalUtil.getScopeGroupId(ctx.getRequest());
			
			return ContentConnectionLocalServiceUtil.existsConnection(
					companyId, groupId,	this.getId(), this.getEntityClass(),
					other.getId(), other.getEntityClass());
		} catch (SystemException e) {
			throw new RuntimeConnectorException(e);
		}
	}
	
	public PortletURL getURL(ConnectorContext ctx) throws ConnectorException {
		return NullPortletURL.getInstance();
	}
}
