package com.ceb2b2000.connector.connectors;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;


public interface Connector<T> {
	public String getId();
	
	public void initOnRender(RenderRequest request, RenderResponse response);

	public void initOnAction(ActionRequest request, ActionResponse response);
	
	public SearchResult getAvailable(
			ConnectorContext ctx, int from, int to, Long... exclude)
			throws ConnectorException;
	
	public SearchResult getConnected(
			ConnectorContext ctx, int from, int to) throws ConnectorException;

	public SearchResult getConnectedTo(
			ConnectorContext ctx, long classPK, int from, int to) 
			throws ConnectorException;
	
	public Connectable findEntity(ConnectorContext ctx, long classPK) 
			throws ConnectorException;
	
	public ConnectableFactory<T> getEntityFactory();
	
	public Class<T> getEntityClass();
	
	public String getCustomForm();
}
