package com.ceb2b2000.connector.connectors;

import java.util.Collection;

public final class ConnectorUtil {

	public void setConnectorFactory(ConnectorFactory factory) {
		_connectorFactory = factory;
	}
	
	public static final Collection<Connector<?>> getAll() {
		return _connectorFactory.getAll();
	}
	
	public static final Connector<?> getWithId(String connectorId) {
		return _connectorFactory.getConnector(connectorId);
	}
	
	public static final Connector<?> forClass(Class<?> aClass) {
		return _connectorFactory.getConnector(aClass);
	}
	
	private ConnectorUtil() {}
	
	private static ConnectorFactory _connectorFactory;
}
