package com.ceb2b2000.connector.connectors.impl;

import java.util.List;

import javax.portlet.PortletRequest;

import com.ceb2b2000.connector.connectors.AbstractConnector;
import com.ceb2b2000.connector.connectors.Connectable;
import com.ceb2b2000.connector.connectors.ConnectableFactory;
import com.ceb2b2000.connector.connectors.ConnectorContext;
import com.ceb2b2000.connector.connectors.ConnectorException;
import com.ceb2b2000.connector.connectors.SearchResult;
import com.ceb2b2000.connector.util.ConnectableCollectionUtil;
import com.liferay.portal.PortalException;
import com.liferay.portal.SystemException;
import com.liferay.portal.kernel.search.Hits;
import com.liferay.portal.kernel.util.WebKeys;
import com.liferay.portal.theme.ThemeDisplay;
import com.liferay.portlet.calendar.model.CalEvent;
import com.liferay.portlet.calendar.service.CalEventLocalServiceUtil;

public class CalEventConnector extends AbstractConnector<CalEvent> {
	public SearchResult getAvailable(
			ConnectorContext ctx, int from, int to, Long... excluded)
		throws ConnectorException {
		
		try {
			String keywords = getSearchText(ctx);
			
			PortletRequest request = ctx.getRequest();
			
			ThemeDisplay themeDisplay = 
				(ThemeDisplay) request.getAttribute(WebKeys.THEME_DISPLAY);
			
			long companyId = themeDisplay.getCompanyId();
			long groupId = themeDisplay.getScopeGroupId();
			long userId = themeDisplay.getUserId();
			long ownerUserId = 0L;
			
			Hits hits = CalEventLocalServiceUtil.search(
					companyId, groupId, userId, ownerUserId, keywords, from,
					to);
			
			ConnectableFactory<CalEvent> factory = getEntityFactory();
			
			List<Connectable> entities =
				ConnectableCollectionUtil.asConnectables(
						ctx, hits.getDocs(), factory, excluded);
			
			return new SearchResult(hits.getLength(), entities);
		} catch (SystemException e) {
			throw new ConnectorException(e);
		} catch (PortalException e) {
			throw new ConnectorException(e);
		}
	}

	public Class<CalEvent> getEntityClass() {
		return CalEvent.class;
	}

	public ConnectableFactory<CalEvent> getEntityFactory() {
		return new CalEventConnectableFactory(this);
	}
}
