package com.ceb2b2000.connector.connectors.impl;

import java.util.LinkedHashMap;
import java.util.List;

import com.ceb2b2000.connector.connectors.AbstractConnector;
import com.ceb2b2000.connector.connectors.Connectable;
import com.ceb2b2000.connector.connectors.ConnectableFactory;
import com.ceb2b2000.connector.connectors.ConnectorContext;
import com.ceb2b2000.connector.connectors.ConnectorException;
import com.ceb2b2000.connector.connectors.SearchResult;
import com.ceb2b2000.connector.util.ConnectableCollectionUtil;
import com.liferay.portal.SystemException;
import com.liferay.portal.model.User;
import com.liferay.portal.service.UserLocalServiceUtil;
import com.liferay.portal.util.PortalUtil;
import com.liferay.portal.util.comparator.UserFirstNameComparator;

public class UserConnector extends AbstractConnector<User> {
	public SearchResult getAvailable(
			ConnectorContext ctx, int from, int to,	Long... exclude)
		throws ConnectorException {
		
		try {
			String keywords = getSearchText(ctx);
			
			long companyId = PortalUtil.getCompanyId(ctx.getRequest());
			boolean active = true;
			
			LinkedHashMap<String, Object> nullParams = 
				new LinkedHashMap<String, Object>();
			
			List<User> models = UserLocalServiceUtil.search(
					companyId, keywords, active,
					nullParams, from, to,
					new UserFirstNameComparator());
			
			int nModels = UserLocalServiceUtil.searchCount(
					companyId, keywords, active, nullParams);
			
			List<Connectable> connectables = 
				ConnectableCollectionUtil.asConnectables(
					ctx, models, getEntityFactory());
			
			return new SearchResult(nModels, connectables);
		} catch (SystemException e) {
			throw new ConnectorException(e);
		}
	}

	public Class<User> getEntityClass() {
		return User.class;
	}

	public ConnectableFactory<User> getEntityFactory() {
		return new UserConnectableFactory(this);
	}

}
