package com.ceb2b2000.connector.listener;

import com.ceb2b2000.connector.service.ContentConnectionLocalServiceUtil;
import com.liferay.portal.SystemException;
import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.util.PortalUtil;
import com.liferay.portlet.calendar.model.CalEvent;

public class CalEventModelListener extends ModelListenerAdapter<CalEvent> {

	@Override
	public void onAfterRemove(CalEvent model) {
		try {
			long modelId = model.getEventId();
			long classId = PortalUtil.getClassNameId(CalEvent.class);
			
			ContentConnectionLocalServiceUtil.removeConnections(
					classId, modelId);
		} catch (SystemException e) {
			_log.error("Error while deleting connections for event " + 
					Long.toString(model.getEventId()), e);
			throw new RuntimeException(e);
		}
	}

	private static final Log _log =
		LogFactoryUtil.getLog(CalEventModelListener.class);
}
