package com.ceb2b2000.connector.listener;

import com.ceb2b2000.connector.service.ContentConnectionLocalServiceUtil;
import com.liferay.portal.ModelListenerException;
import com.liferay.portal.SystemException;
import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.util.PortalUtil;
import com.liferay.portlet.journal.model.JournalArticle;

public class JournalArticleModelListener
	extends ModelListenerAdapter<JournalArticle> {

	@Override
	public void onAfterRemove(JournalArticle model)
		throws ModelListenerException {
		
		try {
			long modelId = model.getId();
			long classId = PortalUtil.getClassNameId(JournalArticle.class);
			
			ContentConnectionLocalServiceUtil.removeConnections(
					modelId, classId);
		} catch (SystemException e) {
			_log.error("Error while deleting connections for journal article " + 
					Long.toString(model.getId()), e);
			throw new RuntimeException(e);
		}
	}

	private static final Log _log = 
		LogFactoryUtil.getLog(JournalArticleModelListener.class);
}
