package com.ceb2b2000.connector.listener;

import com.ceb2b2000.connector.service.ContentConnectionLocalServiceUtil;
import com.liferay.portal.ModelListenerException;
import com.liferay.portal.SystemException;
import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.model.User;
import com.liferay.portal.util.PortalUtil;

public class UserModelListener extends ModelListenerAdapter<User> {

	@Override
	public void onAfterRemove(User model) throws ModelListenerException {
		try {
			long modelId = model.getUserId();
			long classId = PortalUtil.getClassNameId(User.class);
			
			ContentConnectionLocalServiceUtil.removeConnections(
					modelId, classId);
		} catch (SystemException e) {
			_log.error("Error while deleting connections for user " + 
					Long.toString(model.getUserId()), e);
			throw new RuntimeException(e);
		}
	}

	private static final Log _log =
		LogFactoryUtil.getLog(UserModelListener.class);
}
