/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.model.impl;

import com.ceb2b2000.connector.model.ContentConnection;
import com.ceb2b2000.connector.model.ContentConnectionSoap;

import com.liferay.portal.kernel.bean.ReadOnlyBeanHandler;
import com.liferay.portal.kernel.util.GetterUtil;
import com.liferay.portal.kernel.util.HtmlUtil;
import com.liferay.portal.model.impl.BaseModelImpl;

import com.liferay.portlet.expando.model.ExpandoBridge;
import com.liferay.portlet.expando.model.impl.ExpandoBridgeImpl;

import java.io.Serializable;

import java.lang.reflect.Proxy;

import java.sql.Types;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <a href="ContentConnectionModelImpl.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public class ContentConnectionModelImpl extends BaseModelImpl<ContentConnection> {
	public static final String TABLE_NAME = "CC_ContentConnection";
	public static final Object[][] TABLE_COLUMNS = {
			{ "connectionId", new Integer(Types.BIGINT) },
			

			{ "groupId", new Integer(Types.BIGINT) },
			

			{ "companyId", new Integer(Types.BIGINT) },
			

			{ "userId", new Integer(Types.BIGINT) },
			

			{ "createDate", new Integer(Types.TIMESTAMP) },
			

			{ "modifiedDate", new Integer(Types.TIMESTAMP) },
			

			{ "primaryKeywords", new Integer(Types.VARCHAR) },
			

			{ "secondaryKeywords", new Integer(Types.VARCHAR) },
			

			{ "primaryId", new Integer(Types.BIGINT) },
			

			{ "primaryClassId", new Integer(Types.BIGINT) },
			

			{ "secondaryId", new Integer(Types.BIGINT) },
			

			{ "secondaryClassId", new Integer(Types.BIGINT) },
			

			{ "priority", new Integer(Types.BIGINT) }
		};
	public static final String TABLE_SQL_CREATE = "create table CC_ContentConnection (connectionId LONG not null primary key,groupId LONG,companyId LONG,userId LONG,createDate DATE null,modifiedDate DATE null,primaryKeywords VARCHAR(75) null,secondaryKeywords VARCHAR(75) null,primaryId LONG,primaryClassId LONG,secondaryId LONG,secondaryClassId LONG,priority LONG)";
	public static final String TABLE_SQL_DROP = "drop table CC_ContentConnection";
	public static final String DATA_SOURCE = "liferayDataSource";
	public static final String SESSION_FACTORY = "liferaySessionFactory";
	public static final String TX_MANAGER = "liferayTransactionManager";
	public static final boolean ENTITY_CACHE_ENABLED = GetterUtil.getBoolean(com.liferay.util.service.ServiceProps.get(
				"value.object.entity.cache.enabled.com.ceb2b2000.connector.model.ContentConnection"),
			true);
	public static final boolean FINDER_CACHE_ENABLED = GetterUtil.getBoolean(com.liferay.util.service.ServiceProps.get(
				"value.object.finder.cache.enabled.com.ceb2b2000.connector.model.ContentConnection"),
			true);

	public static ContentConnection toModel(ContentConnectionSoap soapModel) {
		ContentConnection model = new ContentConnectionImpl();

		model.setConnectionId(soapModel.getConnectionId());
		model.setGroupId(soapModel.getGroupId());
		model.setCompanyId(soapModel.getCompanyId());
		model.setUserId(soapModel.getUserId());
		model.setCreateDate(soapModel.getCreateDate());
		model.setModifiedDate(soapModel.getModifiedDate());
		model.setPrimaryKeywords(soapModel.getPrimaryKeywords());
		model.setSecondaryKeywords(soapModel.getSecondaryKeywords());
		model.setPrimaryId(soapModel.getPrimaryId());
		model.setPrimaryClassId(soapModel.getPrimaryClassId());
		model.setSecondaryId(soapModel.getSecondaryId());
		model.setSecondaryClassId(soapModel.getSecondaryClassId());
		model.setPriority(soapModel.getPriority());

		return model;
	}

	public static List<ContentConnection> toModels(
		ContentConnectionSoap[] soapModels) {
		List<ContentConnection> models = new ArrayList<ContentConnection>(soapModels.length);

		for (ContentConnectionSoap soapModel : soapModels) {
			models.add(toModel(soapModel));
		}

		return models;
	}

	public static final long LOCK_EXPIRATION_TIME = GetterUtil.getLong(com.liferay.util.service.ServiceProps.get(
				"lock.expiration.time.com.ceb2b2000.connector.model.ContentConnection"));

	public ContentConnectionModelImpl() {
	}

	public long getPrimaryKey() {
		return _connectionId;
	}

	public void setPrimaryKey(long pk) {
		setConnectionId(pk);
	}

	public Serializable getPrimaryKeyObj() {
		return new Long(_connectionId);
	}

	public long getConnectionId() {
		return _connectionId;
	}

	public void setConnectionId(long connectionId) {
		_connectionId = connectionId;
	}

	public long getGroupId() {
		return _groupId;
	}

	public void setGroupId(long groupId) {
		_groupId = groupId;

		if (!_setOriginalGroupId) {
			_setOriginalGroupId = true;

			_originalGroupId = groupId;
		}
	}

	public long getOriginalGroupId() {
		return _originalGroupId;
	}

	public long getCompanyId() {
		return _companyId;
	}

	public void setCompanyId(long companyId) {
		_companyId = companyId;

		if (!_setOriginalCompanyId) {
			_setOriginalCompanyId = true;

			_originalCompanyId = companyId;
		}
	}

	public long getOriginalCompanyId() {
		return _originalCompanyId;
	}

	public long getUserId() {
		return _userId;
	}

	public void setUserId(long userId) {
		_userId = userId;
	}

	public Date getCreateDate() {
		return _createDate;
	}

	public void setCreateDate(Date createDate) {
		_createDate = createDate;
	}

	public Date getModifiedDate() {
		return _modifiedDate;
	}

	public void setModifiedDate(Date modifiedDate) {
		_modifiedDate = modifiedDate;
	}

	public String getPrimaryKeywords() {
		return GetterUtil.getString(_primaryKeywords);
	}

	public void setPrimaryKeywords(String primaryKeywords) {
		_primaryKeywords = primaryKeywords;
	}

	public String getSecondaryKeywords() {
		return GetterUtil.getString(_secondaryKeywords);
	}

	public void setSecondaryKeywords(String secondaryKeywords) {
		_secondaryKeywords = secondaryKeywords;
	}

	public long getPrimaryId() {
		return _primaryId;
	}

	public void setPrimaryId(long primaryId) {
		_primaryId = primaryId;

		if (!_setOriginalPrimaryId) {
			_setOriginalPrimaryId = true;

			_originalPrimaryId = primaryId;
		}
	}

	public long getOriginalPrimaryId() {
		return _originalPrimaryId;
	}

	public long getPrimaryClassId() {
		return _primaryClassId;
	}

	public void setPrimaryClassId(long primaryClassId) {
		_primaryClassId = primaryClassId;

		if (!_setOriginalPrimaryClassId) {
			_setOriginalPrimaryClassId = true;

			_originalPrimaryClassId = primaryClassId;
		}
	}

	public long getOriginalPrimaryClassId() {
		return _originalPrimaryClassId;
	}

	public long getSecondaryId() {
		return _secondaryId;
	}

	public void setSecondaryId(long secondaryId) {
		_secondaryId = secondaryId;

		if (!_setOriginalSecondaryId) {
			_setOriginalSecondaryId = true;

			_originalSecondaryId = secondaryId;
		}
	}

	public long getOriginalSecondaryId() {
		return _originalSecondaryId;
	}

	public long getSecondaryClassId() {
		return _secondaryClassId;
	}

	public void setSecondaryClassId(long secondaryClassId) {
		_secondaryClassId = secondaryClassId;

		if (!_setOriginalSecondaryClassId) {
			_setOriginalSecondaryClassId = true;

			_originalSecondaryClassId = secondaryClassId;
		}
	}

	public long getOriginalSecondaryClassId() {
		return _originalSecondaryClassId;
	}

	public long getPriority() {
		return _priority;
	}

	public void setPriority(long priority) {
		_priority = priority;

		if (!_setOriginalPriority) {
			_setOriginalPriority = true;

			_originalPriority = priority;
		}
	}

	public long getOriginalPriority() {
		return _originalPriority;
	}

	public ContentConnection toEscapedModel() {
		if (isEscapedModel()) {
			return (ContentConnection)this;
		}
		else {
			ContentConnection model = new ContentConnectionImpl();

			model.setNew(isNew());
			model.setEscapedModel(true);

			model.setConnectionId(getConnectionId());
			model.setGroupId(getGroupId());
			model.setCompanyId(getCompanyId());
			model.setUserId(getUserId());
			model.setCreateDate(getCreateDate());
			model.setModifiedDate(getModifiedDate());
			model.setPrimaryKeywords(HtmlUtil.escape(getPrimaryKeywords()));
			model.setSecondaryKeywords(HtmlUtil.escape(getSecondaryKeywords()));
			model.setPrimaryId(getPrimaryId());
			model.setPrimaryClassId(getPrimaryClassId());
			model.setSecondaryId(getSecondaryId());
			model.setSecondaryClassId(getSecondaryClassId());
			model.setPriority(getPriority());

			model = (ContentConnection)Proxy.newProxyInstance(ContentConnection.class.getClassLoader(),
					new Class[] { ContentConnection.class },
					new ReadOnlyBeanHandler(model));

			return model;
		}
	}

	public ExpandoBridge getExpandoBridge() {
		if (_expandoBridge == null) {
			_expandoBridge = new ExpandoBridgeImpl(ContentConnection.class.getName(),
					getPrimaryKey());
		}

		return _expandoBridge;
	}

	public Object clone() {
		ContentConnectionImpl clone = new ContentConnectionImpl();

		clone.setConnectionId(getConnectionId());
		clone.setGroupId(getGroupId());
		clone.setCompanyId(getCompanyId());
		clone.setUserId(getUserId());
		clone.setCreateDate(getCreateDate());
		clone.setModifiedDate(getModifiedDate());
		clone.setPrimaryKeywords(getPrimaryKeywords());
		clone.setSecondaryKeywords(getSecondaryKeywords());
		clone.setPrimaryId(getPrimaryId());
		clone.setPrimaryClassId(getPrimaryClassId());
		clone.setSecondaryId(getSecondaryId());
		clone.setSecondaryClassId(getSecondaryClassId());
		clone.setPriority(getPriority());

		return clone;
	}

	public int compareTo(ContentConnection contentConnection) {
		int value = 0;

		if (getPriority() < contentConnection.getPriority()) {
			value = -1;
		}
		else if (getPriority() > contentConnection.getPriority()) {
			value = 1;
		}
		else {
			value = 0;
		}

		if (value != 0) {
			return value;
		}

		return 0;
	}

	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}

		ContentConnection contentConnection = null;

		try {
			contentConnection = (ContentConnection)obj;
		}
		catch (ClassCastException cce) {
			return false;
		}

		long pk = contentConnection.getPrimaryKey();

		if (getPrimaryKey() == pk) {
			return true;
		}
		else {
			return false;
		}
	}

	public int hashCode() {
		return (int)getPrimaryKey();
	}

	public String toString() {
		StringBuilder sb = new StringBuilder();

		sb.append("{connectionId=");
		sb.append(getConnectionId());
		sb.append(", groupId=");
		sb.append(getGroupId());
		sb.append(", companyId=");
		sb.append(getCompanyId());
		sb.append(", userId=");
		sb.append(getUserId());
		sb.append(", createDate=");
		sb.append(getCreateDate());
		sb.append(", modifiedDate=");
		sb.append(getModifiedDate());
		sb.append(", primaryKeywords=");
		sb.append(getPrimaryKeywords());
		sb.append(", secondaryKeywords=");
		sb.append(getSecondaryKeywords());
		sb.append(", primaryId=");
		sb.append(getPrimaryId());
		sb.append(", primaryClassId=");
		sb.append(getPrimaryClassId());
		sb.append(", secondaryId=");
		sb.append(getSecondaryId());
		sb.append(", secondaryClassId=");
		sb.append(getSecondaryClassId());
		sb.append(", priority=");
		sb.append(getPriority());
		sb.append("}");

		return sb.toString();
	}

	public String toXmlString() {
		StringBuilder sb = new StringBuilder();

		sb.append("<model><model-name>");
		sb.append("com.ceb2b2000.connector.model.ContentConnection");
		sb.append("</model-name>");

		sb.append(
			"<column><column-name>connectionId</column-name><column-value><![CDATA[");
		sb.append(getConnectionId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>groupId</column-name><column-value><![CDATA[");
		sb.append(getGroupId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>companyId</column-name><column-value><![CDATA[");
		sb.append(getCompanyId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>userId</column-name><column-value><![CDATA[");
		sb.append(getUserId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>createDate</column-name><column-value><![CDATA[");
		sb.append(getCreateDate());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>modifiedDate</column-name><column-value><![CDATA[");
		sb.append(getModifiedDate());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>primaryKeywords</column-name><column-value><![CDATA[");
		sb.append(getPrimaryKeywords());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>secondaryKeywords</column-name><column-value><![CDATA[");
		sb.append(getSecondaryKeywords());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>primaryId</column-name><column-value><![CDATA[");
		sb.append(getPrimaryId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>primaryClassId</column-name><column-value><![CDATA[");
		sb.append(getPrimaryClassId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>secondaryId</column-name><column-value><![CDATA[");
		sb.append(getSecondaryId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>secondaryClassId</column-name><column-value><![CDATA[");
		sb.append(getSecondaryClassId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>priority</column-name><column-value><![CDATA[");
		sb.append(getPriority());
		sb.append("]]></column-value></column>");

		sb.append("</model>");

		return sb.toString();
	}

	private long _connectionId;
	private long _groupId;
	private long _originalGroupId;
	private boolean _setOriginalGroupId;
	private long _companyId;
	private long _originalCompanyId;
	private boolean _setOriginalCompanyId;
	private long _userId;
	private Date _createDate;
	private Date _modifiedDate;
	private String _primaryKeywords;
	private String _secondaryKeywords;
	private long _primaryId;
	private long _originalPrimaryId;
	private boolean _setOriginalPrimaryId;
	private long _primaryClassId;
	private long _originalPrimaryClassId;
	private boolean _setOriginalPrimaryClassId;
	private long _secondaryId;
	private long _originalSecondaryId;
	private boolean _setOriginalSecondaryId;
	private long _secondaryClassId;
	private long _originalSecondaryClassId;
	private boolean _setOriginalSecondaryClassId;
	private long _priority;
	private long _originalPriority;
	private boolean _setOriginalPriority;
	private transient ExpandoBridge _expandoBridge;
}