/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.model.impl;

import com.ceb2b2000.connector.model.StructureRestriction;
import com.ceb2b2000.connector.model.StructureRestrictionSoap;

import com.liferay.portal.kernel.bean.ReadOnlyBeanHandler;
import com.liferay.portal.kernel.util.GetterUtil;
import com.liferay.portal.kernel.util.HtmlUtil;
import com.liferay.portal.model.impl.BaseModelImpl;

import com.liferay.portlet.expando.model.ExpandoBridge;
import com.liferay.portlet.expando.model.impl.ExpandoBridgeImpl;

import java.io.Serializable;

import java.lang.reflect.Proxy;

import java.sql.Types;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <a href="StructureRestrictionModelImpl.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public class StructureRestrictionModelImpl extends BaseModelImpl<StructureRestriction> {
	public static final String TABLE_NAME = "CC_StructureRestriction";
	public static final Object[][] TABLE_COLUMNS = {
			{ "restrictionId", new Integer(Types.BIGINT) },
			

			{ "companyId", new Integer(Types.BIGINT) },
			

			{ "groupId", new Integer(Types.BIGINT) },
			

			{ "userId", new Integer(Types.BIGINT) },
			

			{ "createDate", new Integer(Types.TIMESTAMP) },
			

			{ "modifiedDate", new Integer(Types.TIMESTAMP) },
			

			{ "structureId", new Integer(Types.VARCHAR) },
			

			{ "relatedStructureId", new Integer(Types.VARCHAR) }
		};
	public static final String TABLE_SQL_CREATE = "create table CC_StructureRestriction (restrictionId LONG not null primary key,companyId LONG,groupId LONG,userId LONG,createDate DATE null,modifiedDate DATE null,structureId VARCHAR(75) null,relatedStructureId VARCHAR(75) null)";
	public static final String TABLE_SQL_DROP = "drop table CC_StructureRestriction";
	public static final String DATA_SOURCE = "liferayDataSource";
	public static final String SESSION_FACTORY = "liferaySessionFactory";
	public static final String TX_MANAGER = "liferayTransactionManager";
	public static final boolean ENTITY_CACHE_ENABLED = GetterUtil.getBoolean(com.liferay.util.service.ServiceProps.get(
				"value.object.entity.cache.enabled.com.ceb2b2000.connector.model.StructureRestriction"),
			true);
	public static final boolean FINDER_CACHE_ENABLED = GetterUtil.getBoolean(com.liferay.util.service.ServiceProps.get(
				"value.object.finder.cache.enabled.com.ceb2b2000.connector.model.StructureRestriction"),
			true);

	public static StructureRestriction toModel(
		StructureRestrictionSoap soapModel) {
		StructureRestriction model = new StructureRestrictionImpl();

		model.setRestrictionId(soapModel.getRestrictionId());
		model.setCompanyId(soapModel.getCompanyId());
		model.setGroupId(soapModel.getGroupId());
		model.setUserId(soapModel.getUserId());
		model.setCreateDate(soapModel.getCreateDate());
		model.setModifiedDate(soapModel.getModifiedDate());
		model.setStructureId(soapModel.getStructureId());
		model.setRelatedStructureId(soapModel.getRelatedStructureId());

		return model;
	}

	public static List<StructureRestriction> toModels(
		StructureRestrictionSoap[] soapModels) {
		List<StructureRestriction> models = new ArrayList<StructureRestriction>(soapModels.length);

		for (StructureRestrictionSoap soapModel : soapModels) {
			models.add(toModel(soapModel));
		}

		return models;
	}

	public static final long LOCK_EXPIRATION_TIME = GetterUtil.getLong(com.liferay.util.service.ServiceProps.get(
				"lock.expiration.time.com.ceb2b2000.connector.model.StructureRestriction"));

	public StructureRestrictionModelImpl() {
	}

	public long getPrimaryKey() {
		return _restrictionId;
	}

	public void setPrimaryKey(long pk) {
		setRestrictionId(pk);
	}

	public Serializable getPrimaryKeyObj() {
		return new Long(_restrictionId);
	}

	public long getRestrictionId() {
		return _restrictionId;
	}

	public void setRestrictionId(long restrictionId) {
		_restrictionId = restrictionId;
	}

	public long getCompanyId() {
		return _companyId;
	}

	public void setCompanyId(long companyId) {
		_companyId = companyId;
	}

	public long getGroupId() {
		return _groupId;
	}

	public void setGroupId(long groupId) {
		_groupId = groupId;
	}

	public long getUserId() {
		return _userId;
	}

	public void setUserId(long userId) {
		_userId = userId;
	}

	public Date getCreateDate() {
		return _createDate;
	}

	public void setCreateDate(Date createDate) {
		_createDate = createDate;
	}

	public Date getModifiedDate() {
		return _modifiedDate;
	}

	public void setModifiedDate(Date modifiedDate) {
		_modifiedDate = modifiedDate;
	}

	public String getStructureId() {
		return GetterUtil.getString(_structureId);
	}

	public void setStructureId(String structureId) {
		_structureId = structureId;
	}

	public String getRelatedStructureId() {
		return GetterUtil.getString(_relatedStructureId);
	}

	public void setRelatedStructureId(String relatedStructureId) {
		_relatedStructureId = relatedStructureId;
	}

	public StructureRestriction toEscapedModel() {
		if (isEscapedModel()) {
			return (StructureRestriction)this;
		}
		else {
			StructureRestriction model = new StructureRestrictionImpl();

			model.setNew(isNew());
			model.setEscapedModel(true);

			model.setRestrictionId(getRestrictionId());
			model.setCompanyId(getCompanyId());
			model.setGroupId(getGroupId());
			model.setUserId(getUserId());
			model.setCreateDate(getCreateDate());
			model.setModifiedDate(getModifiedDate());
			model.setStructureId(HtmlUtil.escape(getStructureId()));
			model.setRelatedStructureId(HtmlUtil.escape(getRelatedStructureId()));

			model = (StructureRestriction)Proxy.newProxyInstance(StructureRestriction.class.getClassLoader(),
					new Class[] { StructureRestriction.class },
					new ReadOnlyBeanHandler(model));

			return model;
		}
	}

	public ExpandoBridge getExpandoBridge() {
		if (_expandoBridge == null) {
			_expandoBridge = new ExpandoBridgeImpl(StructureRestriction.class.getName(),
					getPrimaryKey());
		}

		return _expandoBridge;
	}

	public Object clone() {
		StructureRestrictionImpl clone = new StructureRestrictionImpl();

		clone.setRestrictionId(getRestrictionId());
		clone.setCompanyId(getCompanyId());
		clone.setGroupId(getGroupId());
		clone.setUserId(getUserId());
		clone.setCreateDate(getCreateDate());
		clone.setModifiedDate(getModifiedDate());
		clone.setStructureId(getStructureId());
		clone.setRelatedStructureId(getRelatedStructureId());

		return clone;
	}

	public int compareTo(StructureRestriction structureRestriction) {
		long pk = structureRestriction.getPrimaryKey();

		if (getPrimaryKey() < pk) {
			return -1;
		}
		else if (getPrimaryKey() > pk) {
			return 1;
		}
		else {
			return 0;
		}
	}

	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}

		StructureRestriction structureRestriction = null;

		try {
			structureRestriction = (StructureRestriction)obj;
		}
		catch (ClassCastException cce) {
			return false;
		}

		long pk = structureRestriction.getPrimaryKey();

		if (getPrimaryKey() == pk) {
			return true;
		}
		else {
			return false;
		}
	}

	public int hashCode() {
		return (int)getPrimaryKey();
	}

	public String toString() {
		StringBuilder sb = new StringBuilder();

		sb.append("{restrictionId=");
		sb.append(getRestrictionId());
		sb.append(", companyId=");
		sb.append(getCompanyId());
		sb.append(", groupId=");
		sb.append(getGroupId());
		sb.append(", userId=");
		sb.append(getUserId());
		sb.append(", createDate=");
		sb.append(getCreateDate());
		sb.append(", modifiedDate=");
		sb.append(getModifiedDate());
		sb.append(", structureId=");
		sb.append(getStructureId());
		sb.append(", relatedStructureId=");
		sb.append(getRelatedStructureId());
		sb.append("}");

		return sb.toString();
	}

	public String toXmlString() {
		StringBuilder sb = new StringBuilder();

		sb.append("<model><model-name>");
		sb.append("com.ceb2b2000.connector.model.StructureRestriction");
		sb.append("</model-name>");

		sb.append(
			"<column><column-name>restrictionId</column-name><column-value><![CDATA[");
		sb.append(getRestrictionId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>companyId</column-name><column-value><![CDATA[");
		sb.append(getCompanyId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>groupId</column-name><column-value><![CDATA[");
		sb.append(getGroupId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>userId</column-name><column-value><![CDATA[");
		sb.append(getUserId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>createDate</column-name><column-value><![CDATA[");
		sb.append(getCreateDate());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>modifiedDate</column-name><column-value><![CDATA[");
		sb.append(getModifiedDate());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>structureId</column-name><column-value><![CDATA[");
		sb.append(getStructureId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>relatedStructureId</column-name><column-value><![CDATA[");
		sb.append(getRelatedStructureId());
		sb.append("]]></column-value></column>");

		sb.append("</model>");

		return sb.toString();
	}

	private long _restrictionId;
	private long _companyId;
	private long _groupId;
	private long _userId;
	private Date _createDate;
	private Date _modifiedDate;
	private String _structureId;
	private String _relatedStructureId;
	private transient ExpandoBridge _expandoBridge;
}