/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.ceb2b2000.connector.service.persistence;

import com.ceb2b2000.connector.NoSuchContentConnectionException;
import com.ceb2b2000.connector.model.ContentConnection;
import com.ceb2b2000.connector.model.impl.ContentConnectionImpl;
import com.ceb2b2000.connector.model.impl.ContentConnectionModelImpl;

import com.liferay.portal.SystemException;
import com.liferay.portal.kernel.annotation.BeanReference;
import com.liferay.portal.kernel.cache.CacheRegistry;
import com.liferay.portal.kernel.dao.orm.DynamicQuery;
import com.liferay.portal.kernel.dao.orm.EntityCacheUtil;
import com.liferay.portal.kernel.dao.orm.FinderCacheUtil;
import com.liferay.portal.kernel.dao.orm.FinderPath;
import com.liferay.portal.kernel.dao.orm.Query;
import com.liferay.portal.kernel.dao.orm.QueryPos;
import com.liferay.portal.kernel.dao.orm.QueryUtil;
import com.liferay.portal.kernel.dao.orm.Session;
import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.kernel.util.GetterUtil;
import com.liferay.portal.kernel.util.OrderByComparator;
import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.kernel.util.StringUtil;
import com.liferay.portal.model.ModelListener;
import com.liferay.portal.service.persistence.BatchSessionUtil;
import com.liferay.portal.service.persistence.impl.BasePersistenceImpl;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * <a href="ContentConnectionPersistenceImpl.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public class ContentConnectionPersistenceImpl extends BasePersistenceImpl
	implements ContentConnectionPersistence {
	public static final String FINDER_CLASS_NAME_ENTITY = ContentConnectionImpl.class.getName();
	public static final String FINDER_CLASS_NAME_LIST = FINDER_CLASS_NAME_ENTITY +
		".List";
	public static final FinderPath FINDER_PATH_FETCH_BY_PRIORITY = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_ENTITY, "fetchByPriority",
			new String[] {
				Long.class.getName(), Long.class.getName(), Long.class.getName(),
				Long.class.getName(), Long.class.getName()
			});
	public static final FinderPath FINDER_PATH_COUNT_BY_PRIORITY = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "countByPriority",
			new String[] {
				Long.class.getName(), Long.class.getName(), Long.class.getName(),
				Long.class.getName(), Long.class.getName()
			});
	public static final FinderPath FINDER_PATH_FETCH_BY_RELATION = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_ENTITY, "fetchByRelation",
			new String[] {
				Long.class.getName(), Long.class.getName(), Long.class.getName(),
				Long.class.getName(), Long.class.getName(), Long.class.getName()
			});
	public static final FinderPath FINDER_PATH_COUNT_BY_RELATION = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "countByRelation",
			new String[] {
				Long.class.getName(), Long.class.getName(), Long.class.getName(),
				Long.class.getName(), Long.class.getName(), Long.class.getName()
			});
	public static final FinderPath FINDER_PATH_FIND_BY_COMPANYID = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "findByCompanyId",
			new String[] { Long.class.getName() });
	public static final FinderPath FINDER_PATH_FIND_BY_OBC_COMPANYID = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "findByCompanyId",
			new String[] {
				Long.class.getName(),
				
			"java.lang.Integer", "java.lang.Integer",
				"com.liferay.portal.kernel.util.OrderByComparator"
			});
	public static final FinderPath FINDER_PATH_COUNT_BY_COMPANYID = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "countByCompanyId",
			new String[] { Long.class.getName() });
	public static final FinderPath FINDER_PATH_FIND_BY_PRIMARYID = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "findByPrimaryId",
			new String[] { Long.class.getName(), Long.class.getName() });
	public static final FinderPath FINDER_PATH_FIND_BY_OBC_PRIMARYID = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "findByPrimaryId",
			new String[] {
				Long.class.getName(), Long.class.getName(),
				
			"java.lang.Integer", "java.lang.Integer",
				"com.liferay.portal.kernel.util.OrderByComparator"
			});
	public static final FinderPath FINDER_PATH_COUNT_BY_PRIMARYID = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "countByPrimaryId",
			new String[] { Long.class.getName(), Long.class.getName() });
	public static final FinderPath FINDER_PATH_FIND_BY_SECONDARYID = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "findBySecondaryId",
			new String[] { Long.class.getName(), Long.class.getName() });
	public static final FinderPath FINDER_PATH_FIND_BY_OBC_SECONDARYID = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "findBySecondaryId",
			new String[] {
				Long.class.getName(), Long.class.getName(),
				
			"java.lang.Integer", "java.lang.Integer",
				"com.liferay.portal.kernel.util.OrderByComparator"
			});
	public static final FinderPath FINDER_PATH_COUNT_BY_SECONDARYID = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "countBySecondaryId",
			new String[] { Long.class.getName(), Long.class.getName() });
	public static final FinderPath FINDER_PATH_FIND_ALL = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "findAll", new String[0]);
	public static final FinderPath FINDER_PATH_COUNT_ALL = new FinderPath(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "countAll", new String[0]);

	public void cacheResult(ContentConnection contentConnection) {
		EntityCacheUtil.putResult(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionImpl.class, contentConnection.getPrimaryKey(),
			contentConnection);

		FinderCacheUtil.putResult(FINDER_PATH_FETCH_BY_PRIORITY,
			new Object[] {
				new Long(contentConnection.getCompanyId()),
				new Long(contentConnection.getGroupId()),
				new Long(contentConnection.getPrimaryId()),
				new Long(contentConnection.getPrimaryClassId()),
				new Long(contentConnection.getPriority())
			}, contentConnection);

		FinderCacheUtil.putResult(FINDER_PATH_FETCH_BY_RELATION,
			new Object[] {
				new Long(contentConnection.getCompanyId()),
				new Long(contentConnection.getGroupId()),
				new Long(contentConnection.getPrimaryId()),
				new Long(contentConnection.getPrimaryClassId()),
				new Long(contentConnection.getSecondaryId()),
				new Long(contentConnection.getSecondaryClassId())
			}, contentConnection);
	}

	public void cacheResult(List<ContentConnection> contentConnections) {
		for (ContentConnection contentConnection : contentConnections) {
			if (EntityCacheUtil.getResult(
						ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
						ContentConnectionImpl.class,
						contentConnection.getPrimaryKey(), this) == null) {
				cacheResult(contentConnection);
			}
		}
	}

	public void clearCache() {
		CacheRegistry.clear(ContentConnectionImpl.class.getName());
		EntityCacheUtil.clearCache(ContentConnectionImpl.class.getName());
		FinderCacheUtil.clearCache(FINDER_CLASS_NAME_ENTITY);
		FinderCacheUtil.clearCache(FINDER_CLASS_NAME_LIST);
	}

	public ContentConnection create(long connectionId) {
		ContentConnection contentConnection = new ContentConnectionImpl();

		contentConnection.setNew(true);
		contentConnection.setPrimaryKey(connectionId);

		return contentConnection;
	}

	public ContentConnection remove(long connectionId)
		throws NoSuchContentConnectionException, SystemException {
		Session session = null;

		try {
			session = openSession();

			ContentConnection contentConnection = (ContentConnection)session.get(ContentConnectionImpl.class,
					new Long(connectionId));

			if (contentConnection == null) {
				if (_log.isWarnEnabled()) {
					_log.warn(
						"No ContentConnection exists with the primary key " +
						connectionId);
				}

				throw new NoSuchContentConnectionException(
					"No ContentConnection exists with the primary key " +
					connectionId);
			}

			return remove(contentConnection);
		}
		catch (NoSuchContentConnectionException nsee) {
			throw nsee;
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	public ContentConnection remove(ContentConnection contentConnection)
		throws SystemException {
		for (ModelListener<ContentConnection> listener : listeners) {
			listener.onBeforeRemove(contentConnection);
		}

		contentConnection = removeImpl(contentConnection);

		for (ModelListener<ContentConnection> listener : listeners) {
			listener.onAfterRemove(contentConnection);
		}

		return contentConnection;
	}

	protected ContentConnection removeImpl(ContentConnection contentConnection)
		throws SystemException {
		Session session = null;

		try {
			session = openSession();

			if (contentConnection.isCachedModel() ||
					BatchSessionUtil.isEnabled()) {
				Object staleObject = session.get(ContentConnectionImpl.class,
						contentConnection.getPrimaryKeyObj());

				if (staleObject != null) {
					session.evict(staleObject);
				}
			}

			session.delete(contentConnection);

			session.flush();
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}

		FinderCacheUtil.clearCache(FINDER_CLASS_NAME_LIST);

		ContentConnectionModelImpl contentConnectionModelImpl = (ContentConnectionModelImpl)contentConnection;

		FinderCacheUtil.removeResult(FINDER_PATH_FETCH_BY_PRIORITY,
			new Object[] {
				new Long(contentConnectionModelImpl.getOriginalCompanyId()),
				new Long(contentConnectionModelImpl.getOriginalGroupId()),
				new Long(contentConnectionModelImpl.getOriginalPrimaryId()),
				new Long(contentConnectionModelImpl.getOriginalPrimaryClassId()),
				new Long(contentConnectionModelImpl.getOriginalPriority())
			});

		FinderCacheUtil.removeResult(FINDER_PATH_FETCH_BY_RELATION,
			new Object[] {
				new Long(contentConnectionModelImpl.getOriginalCompanyId()),
				new Long(contentConnectionModelImpl.getOriginalGroupId()),
				new Long(contentConnectionModelImpl.getOriginalPrimaryId()),
				new Long(contentConnectionModelImpl.getOriginalPrimaryClassId()),
				new Long(contentConnectionModelImpl.getOriginalSecondaryId()),
				new Long(contentConnectionModelImpl.getOriginalSecondaryClassId())
			});

		EntityCacheUtil.removeResult(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionImpl.class, contentConnection.getPrimaryKey());

		return contentConnection;
	}

	public ContentConnection update(ContentConnection contentConnection)
		throws SystemException {
		if (_log.isWarnEnabled()) {
			_log.warn(
				"Using the deprecated update(ContentConnection contentConnection) method. Use update(ContentConnection contentConnection, boolean merge) instead.");
		}

		return update(contentConnection, false);
	}

	public ContentConnection update(ContentConnection contentConnection,
		boolean merge) throws SystemException {
		boolean isNew = contentConnection.isNew();

		for (ModelListener<ContentConnection> listener : listeners) {
			if (isNew) {
				listener.onBeforeCreate(contentConnection);
			}
			else {
				listener.onBeforeUpdate(contentConnection);
			}
		}

		contentConnection = updateImpl(contentConnection, merge);

		for (ModelListener<ContentConnection> listener : listeners) {
			if (isNew) {
				listener.onAfterCreate(contentConnection);
			}
			else {
				listener.onAfterUpdate(contentConnection);
			}
		}

		return contentConnection;
	}

	public ContentConnection updateImpl(
		com.ceb2b2000.connector.model.ContentConnection contentConnection,
		boolean merge) throws SystemException {
		boolean isNew = contentConnection.isNew();

		ContentConnectionModelImpl contentConnectionModelImpl = (ContentConnectionModelImpl)contentConnection;

		Session session = null;

		try {
			session = openSession();

			BatchSessionUtil.update(session, contentConnection, merge);

			contentConnection.setNew(false);
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}

		FinderCacheUtil.clearCache(FINDER_CLASS_NAME_LIST);

		EntityCacheUtil.putResult(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
			ContentConnectionImpl.class, contentConnection.getPrimaryKey(),
			contentConnection);

		if (!isNew &&
				((contentConnection.getCompanyId() != contentConnectionModelImpl.getOriginalCompanyId()) ||
				(contentConnection.getGroupId() != contentConnectionModelImpl.getOriginalGroupId()) ||
				(contentConnection.getPrimaryId() != contentConnectionModelImpl.getOriginalPrimaryId()) ||
				(contentConnection.getPrimaryClassId() != contentConnectionModelImpl.getOriginalPrimaryClassId()) ||
				(contentConnection.getPriority() != contentConnectionModelImpl.getOriginalPriority()))) {
			FinderCacheUtil.removeResult(FINDER_PATH_FETCH_BY_PRIORITY,
				new Object[] {
					new Long(contentConnectionModelImpl.getOriginalCompanyId()),
					new Long(contentConnectionModelImpl.getOriginalGroupId()),
					new Long(contentConnectionModelImpl.getOriginalPrimaryId()),
					new Long(contentConnectionModelImpl.getOriginalPrimaryClassId()),
					new Long(contentConnectionModelImpl.getOriginalPriority())
				});
		}

		if (isNew ||
				((contentConnection.getCompanyId() != contentConnectionModelImpl.getOriginalCompanyId()) ||
				(contentConnection.getGroupId() != contentConnectionModelImpl.getOriginalGroupId()) ||
				(contentConnection.getPrimaryId() != contentConnectionModelImpl.getOriginalPrimaryId()) ||
				(contentConnection.getPrimaryClassId() != contentConnectionModelImpl.getOriginalPrimaryClassId()) ||
				(contentConnection.getPriority() != contentConnectionModelImpl.getOriginalPriority()))) {
			FinderCacheUtil.putResult(FINDER_PATH_FETCH_BY_PRIORITY,
				new Object[] {
					new Long(contentConnection.getCompanyId()),
					new Long(contentConnection.getGroupId()),
					new Long(contentConnection.getPrimaryId()),
					new Long(contentConnection.getPrimaryClassId()),
					new Long(contentConnection.getPriority())
				}, contentConnection);
		}

		if (!isNew &&
				((contentConnection.getCompanyId() != contentConnectionModelImpl.getOriginalCompanyId()) ||
				(contentConnection.getGroupId() != contentConnectionModelImpl.getOriginalGroupId()) ||
				(contentConnection.getPrimaryId() != contentConnectionModelImpl.getOriginalPrimaryId()) ||
				(contentConnection.getPrimaryClassId() != contentConnectionModelImpl.getOriginalPrimaryClassId()) ||
				(contentConnection.getSecondaryId() != contentConnectionModelImpl.getOriginalSecondaryId()) ||
				(contentConnection.getSecondaryClassId() != contentConnectionModelImpl.getOriginalSecondaryClassId()))) {
			FinderCacheUtil.removeResult(FINDER_PATH_FETCH_BY_RELATION,
				new Object[] {
					new Long(contentConnectionModelImpl.getOriginalCompanyId()),
					new Long(contentConnectionModelImpl.getOriginalGroupId()),
					new Long(contentConnectionModelImpl.getOriginalPrimaryId()),
					new Long(contentConnectionModelImpl.getOriginalPrimaryClassId()),
					new Long(contentConnectionModelImpl.getOriginalSecondaryId()),
					new Long(contentConnectionModelImpl.getOriginalSecondaryClassId())
				});
		}

		if (isNew ||
				((contentConnection.getCompanyId() != contentConnectionModelImpl.getOriginalCompanyId()) ||
				(contentConnection.getGroupId() != contentConnectionModelImpl.getOriginalGroupId()) ||
				(contentConnection.getPrimaryId() != contentConnectionModelImpl.getOriginalPrimaryId()) ||
				(contentConnection.getPrimaryClassId() != contentConnectionModelImpl.getOriginalPrimaryClassId()) ||
				(contentConnection.getSecondaryId() != contentConnectionModelImpl.getOriginalSecondaryId()) ||
				(contentConnection.getSecondaryClassId() != contentConnectionModelImpl.getOriginalSecondaryClassId()))) {
			FinderCacheUtil.putResult(FINDER_PATH_FETCH_BY_RELATION,
				new Object[] {
					new Long(contentConnection.getCompanyId()),
					new Long(contentConnection.getGroupId()),
					new Long(contentConnection.getPrimaryId()),
					new Long(contentConnection.getPrimaryClassId()),
					new Long(contentConnection.getSecondaryId()),
					new Long(contentConnection.getSecondaryClassId())
				}, contentConnection);
		}

		return contentConnection;
	}

	public ContentConnection findByPrimaryKey(long connectionId)
		throws NoSuchContentConnectionException, SystemException {
		ContentConnection contentConnection = fetchByPrimaryKey(connectionId);

		if (contentConnection == null) {
			if (_log.isWarnEnabled()) {
				_log.warn("No ContentConnection exists with the primary key " +
					connectionId);
			}

			throw new NoSuchContentConnectionException(
				"No ContentConnection exists with the primary key " +
				connectionId);
		}

		return contentConnection;
	}

	public ContentConnection fetchByPrimaryKey(long connectionId)
		throws SystemException {
		ContentConnection contentConnection = (ContentConnection)EntityCacheUtil.getResult(ContentConnectionModelImpl.ENTITY_CACHE_ENABLED,
				ContentConnectionImpl.class, connectionId, this);

		if (contentConnection == null) {
			Session session = null;

			try {
				session = openSession();

				contentConnection = (ContentConnection)session.get(ContentConnectionImpl.class,
						new Long(connectionId));
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (contentConnection != null) {
					cacheResult(contentConnection);
				}

				closeSession(session);
			}
		}

		return contentConnection;
	}

	public ContentConnection findByPriority(long companyId, long groupId,
		long primaryId, long primaryClassId, long priority)
		throws NoSuchContentConnectionException, SystemException {
		ContentConnection contentConnection = fetchByPriority(companyId,
				groupId, primaryId, primaryClassId, priority);

		if (contentConnection == null) {
			StringBuilder msg = new StringBuilder();

			msg.append("No ContentConnection exists with the key {");

			msg.append("companyId=" + companyId);

			msg.append(", ");
			msg.append("groupId=" + groupId);

			msg.append(", ");
			msg.append("primaryId=" + primaryId);

			msg.append(", ");
			msg.append("primaryClassId=" + primaryClassId);

			msg.append(", ");
			msg.append("priority=" + priority);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			if (_log.isWarnEnabled()) {
				_log.warn(msg.toString());
			}

			throw new NoSuchContentConnectionException(msg.toString());
		}

		return contentConnection;
	}

	public ContentConnection fetchByPriority(long companyId, long groupId,
		long primaryId, long primaryClassId, long priority)
		throws SystemException {
		return fetchByPriority(companyId, groupId, primaryId, primaryClassId,
			priority, true);
	}

	public ContentConnection fetchByPriority(long companyId, long groupId,
		long primaryId, long primaryClassId, long priority,
		boolean retrieveFromCache) throws SystemException {
		Object[] finderArgs = new Object[] {
				new Long(companyId), new Long(groupId), new Long(primaryId),
				new Long(primaryClassId), new Long(priority)
			};

		Object result = null;

		if (retrieveFromCache) {
			result = FinderCacheUtil.getResult(FINDER_PATH_FETCH_BY_PRIORITY,
					finderArgs, this);
		}

		if (result == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

				query.append("companyId = ?");

				query.append(" AND ");

				query.append("groupId = ?");

				query.append(" AND ");

				query.append("primaryId = ?");

				query.append(" AND ");

				query.append("primaryClassId = ?");

				query.append(" AND ");

				query.append("priority = ?");

				query.append(" ");

				query.append("ORDER BY ");

				query.append("priority ASC");

				Query q = session.createQuery(query.toString());

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(companyId);

				qPos.add(groupId);

				qPos.add(primaryId);

				qPos.add(primaryClassId);

				qPos.add(priority);

				List<ContentConnection> list = q.list();

				result = list;

				ContentConnection contentConnection = null;

				if (list.isEmpty()) {
					FinderCacheUtil.putResult(FINDER_PATH_FETCH_BY_PRIORITY,
						finderArgs, list);
				}
				else {
					contentConnection = list.get(0);

					cacheResult(contentConnection);

					if ((contentConnection.getCompanyId() != companyId) ||
							(contentConnection.getGroupId() != groupId) ||
							(contentConnection.getPrimaryId() != primaryId) ||
							(contentConnection.getPrimaryClassId() != primaryClassId) ||
							(contentConnection.getPriority() != priority)) {
						FinderCacheUtil.putResult(FINDER_PATH_FETCH_BY_PRIORITY,
							finderArgs, contentConnection);
					}
				}

				return contentConnection;
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (result == null) {
					FinderCacheUtil.putResult(FINDER_PATH_FETCH_BY_PRIORITY,
						finderArgs, new ArrayList<ContentConnection>());
				}

				closeSession(session);
			}
		}
		else {
			if (result instanceof List) {
				return null;
			}
			else {
				return (ContentConnection)result;
			}
		}
	}

	public ContentConnection findByRelation(long companyId, long groupId,
		long primaryId, long primaryClassId, long secondaryId,
		long secondaryClassId)
		throws NoSuchContentConnectionException, SystemException {
		ContentConnection contentConnection = fetchByRelation(companyId,
				groupId, primaryId, primaryClassId, secondaryId,
				secondaryClassId);

		if (contentConnection == null) {
			StringBuilder msg = new StringBuilder();

			msg.append("No ContentConnection exists with the key {");

			msg.append("companyId=" + companyId);

			msg.append(", ");
			msg.append("groupId=" + groupId);

			msg.append(", ");
			msg.append("primaryId=" + primaryId);

			msg.append(", ");
			msg.append("primaryClassId=" + primaryClassId);

			msg.append(", ");
			msg.append("secondaryId=" + secondaryId);

			msg.append(", ");
			msg.append("secondaryClassId=" + secondaryClassId);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			if (_log.isWarnEnabled()) {
				_log.warn(msg.toString());
			}

			throw new NoSuchContentConnectionException(msg.toString());
		}

		return contentConnection;
	}

	public ContentConnection fetchByRelation(long companyId, long groupId,
		long primaryId, long primaryClassId, long secondaryId,
		long secondaryClassId) throws SystemException {
		return fetchByRelation(companyId, groupId, primaryId, primaryClassId,
			secondaryId, secondaryClassId, true);
	}

	public ContentConnection fetchByRelation(long companyId, long groupId,
		long primaryId, long primaryClassId, long secondaryId,
		long secondaryClassId, boolean retrieveFromCache)
		throws SystemException {
		Object[] finderArgs = new Object[] {
				new Long(companyId), new Long(groupId), new Long(primaryId),
				new Long(primaryClassId), new Long(secondaryId),
				new Long(secondaryClassId)
			};

		Object result = null;

		if (retrieveFromCache) {
			result = FinderCacheUtil.getResult(FINDER_PATH_FETCH_BY_RELATION,
					finderArgs, this);
		}

		if (result == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

				query.append("companyId = ?");

				query.append(" AND ");

				query.append("groupId = ?");

				query.append(" AND ");

				query.append("primaryId = ?");

				query.append(" AND ");

				query.append("primaryClassId = ?");

				query.append(" AND ");

				query.append("secondaryId = ?");

				query.append(" AND ");

				query.append("secondaryClassId = ?");

				query.append(" ");

				query.append("ORDER BY ");

				query.append("priority ASC");

				Query q = session.createQuery(query.toString());

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(companyId);

				qPos.add(groupId);

				qPos.add(primaryId);

				qPos.add(primaryClassId);

				qPos.add(secondaryId);

				qPos.add(secondaryClassId);

				List<ContentConnection> list = q.list();

				result = list;

				ContentConnection contentConnection = null;

				if (list.isEmpty()) {
					FinderCacheUtil.putResult(FINDER_PATH_FETCH_BY_RELATION,
						finderArgs, list);
				}
				else {
					contentConnection = list.get(0);

					cacheResult(contentConnection);

					if ((contentConnection.getCompanyId() != companyId) ||
							(contentConnection.getGroupId() != groupId) ||
							(contentConnection.getPrimaryId() != primaryId) ||
							(contentConnection.getPrimaryClassId() != primaryClassId) ||
							(contentConnection.getSecondaryId() != secondaryId) ||
							(contentConnection.getSecondaryClassId() != secondaryClassId)) {
						FinderCacheUtil.putResult(FINDER_PATH_FETCH_BY_RELATION,
							finderArgs, contentConnection);
					}
				}

				return contentConnection;
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (result == null) {
					FinderCacheUtil.putResult(FINDER_PATH_FETCH_BY_RELATION,
						finderArgs, new ArrayList<ContentConnection>());
				}

				closeSession(session);
			}
		}
		else {
			if (result instanceof List) {
				return null;
			}
			else {
				return (ContentConnection)result;
			}
		}
	}

	public List<ContentConnection> findByCompanyId(long companyId)
		throws SystemException {
		Object[] finderArgs = new Object[] { new Long(companyId) };

		List<ContentConnection> list = (List<ContentConnection>)FinderCacheUtil.getResult(FINDER_PATH_FIND_BY_COMPANYID,
				finderArgs, this);

		if (list == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

				query.append("companyId = ?");

				query.append(" ");

				query.append("ORDER BY ");

				query.append("priority ASC");

				Query q = session.createQuery(query.toString());

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(companyId);

				list = q.list();
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (list == null) {
					list = new ArrayList<ContentConnection>();
				}

				cacheResult(list);

				FinderCacheUtil.putResult(FINDER_PATH_FIND_BY_COMPANYID,
					finderArgs, list);

				closeSession(session);
			}
		}

		return list;
	}

	public List<ContentConnection> findByCompanyId(long companyId, int start,
		int end) throws SystemException {
		return findByCompanyId(companyId, start, end, null);
	}

	public List<ContentConnection> findByCompanyId(long companyId, int start,
		int end, OrderByComparator obc) throws SystemException {
		Object[] finderArgs = new Object[] {
				new Long(companyId),
				
				String.valueOf(start), String.valueOf(end), String.valueOf(obc)
			};

		List<ContentConnection> list = (List<ContentConnection>)FinderCacheUtil.getResult(FINDER_PATH_FIND_BY_OBC_COMPANYID,
				finderArgs, this);

		if (list == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

				query.append("companyId = ?");

				query.append(" ");

				if (obc != null) {
					query.append("ORDER BY ");
					query.append(obc.getOrderBy());
				}

				else {
					query.append("ORDER BY ");

					query.append("priority ASC");
				}

				Query q = session.createQuery(query.toString());

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(companyId);

				list = (List<ContentConnection>)QueryUtil.list(q, getDialect(),
						start, end);
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (list == null) {
					list = new ArrayList<ContentConnection>();
				}

				cacheResult(list);

				FinderCacheUtil.putResult(FINDER_PATH_FIND_BY_OBC_COMPANYID,
					finderArgs, list);

				closeSession(session);
			}
		}

		return list;
	}

	public ContentConnection findByCompanyId_First(long companyId,
		OrderByComparator obc)
		throws NoSuchContentConnectionException, SystemException {
		List<ContentConnection> list = findByCompanyId(companyId, 0, 1, obc);

		if (list.isEmpty()) {
			StringBuilder msg = new StringBuilder();

			msg.append("No ContentConnection exists with the key {");

			msg.append("companyId=" + companyId);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			throw new NoSuchContentConnectionException(msg.toString());
		}
		else {
			return list.get(0);
		}
	}

	public ContentConnection findByCompanyId_Last(long companyId,
		OrderByComparator obc)
		throws NoSuchContentConnectionException, SystemException {
		int count = countByCompanyId(companyId);

		List<ContentConnection> list = findByCompanyId(companyId, count - 1,
				count, obc);

		if (list.isEmpty()) {
			StringBuilder msg = new StringBuilder();

			msg.append("No ContentConnection exists with the key {");

			msg.append("companyId=" + companyId);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			throw new NoSuchContentConnectionException(msg.toString());
		}
		else {
			return list.get(0);
		}
	}

	public ContentConnection[] findByCompanyId_PrevAndNext(long connectionId,
		long companyId, OrderByComparator obc)
		throws NoSuchContentConnectionException, SystemException {
		ContentConnection contentConnection = findByPrimaryKey(connectionId);

		int count = countByCompanyId(companyId);

		Session session = null;

		try {
			session = openSession();

			StringBuilder query = new StringBuilder();

			query.append(
				"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

			query.append("companyId = ?");

			query.append(" ");

			if (obc != null) {
				query.append("ORDER BY ");
				query.append(obc.getOrderBy());
			}

			else {
				query.append("ORDER BY ");

				query.append("priority ASC");
			}

			Query q = session.createQuery(query.toString());

			QueryPos qPos = QueryPos.getInstance(q);

			qPos.add(companyId);

			Object[] objArray = QueryUtil.getPrevAndNext(q, count, obc,
					contentConnection);

			ContentConnection[] array = new ContentConnectionImpl[3];

			array[0] = (ContentConnection)objArray[0];
			array[1] = (ContentConnection)objArray[1];
			array[2] = (ContentConnection)objArray[2];

			return array;
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	public List<ContentConnection> findByPrimaryId(long primaryId,
		long primaryClassId) throws SystemException {
		Object[] finderArgs = new Object[] {
				new Long(primaryId), new Long(primaryClassId)
			};

		List<ContentConnection> list = (List<ContentConnection>)FinderCacheUtil.getResult(FINDER_PATH_FIND_BY_PRIMARYID,
				finderArgs, this);

		if (list == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

				query.append("primaryId = ?");

				query.append(" AND ");

				query.append("primaryClassId = ?");

				query.append(" ");

				query.append("ORDER BY ");

				query.append("priority ASC");

				Query q = session.createQuery(query.toString());

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(primaryId);

				qPos.add(primaryClassId);

				list = q.list();
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (list == null) {
					list = new ArrayList<ContentConnection>();
				}

				cacheResult(list);

				FinderCacheUtil.putResult(FINDER_PATH_FIND_BY_PRIMARYID,
					finderArgs, list);

				closeSession(session);
			}
		}

		return list;
	}

	public List<ContentConnection> findByPrimaryId(long primaryId,
		long primaryClassId, int start, int end) throws SystemException {
		return findByPrimaryId(primaryId, primaryClassId, start, end, null);
	}

	public List<ContentConnection> findByPrimaryId(long primaryId,
		long primaryClassId, int start, int end, OrderByComparator obc)
		throws SystemException {
		Object[] finderArgs = new Object[] {
				new Long(primaryId), new Long(primaryClassId),
				
				String.valueOf(start), String.valueOf(end), String.valueOf(obc)
			};

		List<ContentConnection> list = (List<ContentConnection>)FinderCacheUtil.getResult(FINDER_PATH_FIND_BY_OBC_PRIMARYID,
				finderArgs, this);

		if (list == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

				query.append("primaryId = ?");

				query.append(" AND ");

				query.append("primaryClassId = ?");

				query.append(" ");

				if (obc != null) {
					query.append("ORDER BY ");
					query.append(obc.getOrderBy());
				}

				else {
					query.append("ORDER BY ");

					query.append("priority ASC");
				}

				Query q = session.createQuery(query.toString());

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(primaryId);

				qPos.add(primaryClassId);

				list = (List<ContentConnection>)QueryUtil.list(q, getDialect(),
						start, end);
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (list == null) {
					list = new ArrayList<ContentConnection>();
				}

				cacheResult(list);

				FinderCacheUtil.putResult(FINDER_PATH_FIND_BY_OBC_PRIMARYID,
					finderArgs, list);

				closeSession(session);
			}
		}

		return list;
	}

	public ContentConnection findByPrimaryId_First(long primaryId,
		long primaryClassId, OrderByComparator obc)
		throws NoSuchContentConnectionException, SystemException {
		List<ContentConnection> list = findByPrimaryId(primaryId,
				primaryClassId, 0, 1, obc);

		if (list.isEmpty()) {
			StringBuilder msg = new StringBuilder();

			msg.append("No ContentConnection exists with the key {");

			msg.append("primaryId=" + primaryId);

			msg.append(", ");
			msg.append("primaryClassId=" + primaryClassId);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			throw new NoSuchContentConnectionException(msg.toString());
		}
		else {
			return list.get(0);
		}
	}

	public ContentConnection findByPrimaryId_Last(long primaryId,
		long primaryClassId, OrderByComparator obc)
		throws NoSuchContentConnectionException, SystemException {
		int count = countByPrimaryId(primaryId, primaryClassId);

		List<ContentConnection> list = findByPrimaryId(primaryId,
				primaryClassId, count - 1, count, obc);

		if (list.isEmpty()) {
			StringBuilder msg = new StringBuilder();

			msg.append("No ContentConnection exists with the key {");

			msg.append("primaryId=" + primaryId);

			msg.append(", ");
			msg.append("primaryClassId=" + primaryClassId);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			throw new NoSuchContentConnectionException(msg.toString());
		}
		else {
			return list.get(0);
		}
	}

	public ContentConnection[] findByPrimaryId_PrevAndNext(long connectionId,
		long primaryId, long primaryClassId, OrderByComparator obc)
		throws NoSuchContentConnectionException, SystemException {
		ContentConnection contentConnection = findByPrimaryKey(connectionId);

		int count = countByPrimaryId(primaryId, primaryClassId);

		Session session = null;

		try {
			session = openSession();

			StringBuilder query = new StringBuilder();

			query.append(
				"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

			query.append("primaryId = ?");

			query.append(" AND ");

			query.append("primaryClassId = ?");

			query.append(" ");

			if (obc != null) {
				query.append("ORDER BY ");
				query.append(obc.getOrderBy());
			}

			else {
				query.append("ORDER BY ");

				query.append("priority ASC");
			}

			Query q = session.createQuery(query.toString());

			QueryPos qPos = QueryPos.getInstance(q);

			qPos.add(primaryId);

			qPos.add(primaryClassId);

			Object[] objArray = QueryUtil.getPrevAndNext(q, count, obc,
					contentConnection);

			ContentConnection[] array = new ContentConnectionImpl[3];

			array[0] = (ContentConnection)objArray[0];
			array[1] = (ContentConnection)objArray[1];
			array[2] = (ContentConnection)objArray[2];

			return array;
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	public List<ContentConnection> findBySecondaryId(long secondaryId,
		long secondaryClassId) throws SystemException {
		Object[] finderArgs = new Object[] {
				new Long(secondaryId), new Long(secondaryClassId)
			};

		List<ContentConnection> list = (List<ContentConnection>)FinderCacheUtil.getResult(FINDER_PATH_FIND_BY_SECONDARYID,
				finderArgs, this);

		if (list == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

				query.append("secondaryId = ?");

				query.append(" AND ");

				query.append("secondaryClassId = ?");

				query.append(" ");

				query.append("ORDER BY ");

				query.append("priority ASC");

				Query q = session.createQuery(query.toString());

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(secondaryId);

				qPos.add(secondaryClassId);

				list = q.list();
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (list == null) {
					list = new ArrayList<ContentConnection>();
				}

				cacheResult(list);

				FinderCacheUtil.putResult(FINDER_PATH_FIND_BY_SECONDARYID,
					finderArgs, list);

				closeSession(session);
			}
		}

		return list;
	}

	public List<ContentConnection> findBySecondaryId(long secondaryId,
		long secondaryClassId, int start, int end) throws SystemException {
		return findBySecondaryId(secondaryId, secondaryClassId, start, end, null);
	}

	public List<ContentConnection> findBySecondaryId(long secondaryId,
		long secondaryClassId, int start, int end, OrderByComparator obc)
		throws SystemException {
		Object[] finderArgs = new Object[] {
				new Long(secondaryId), new Long(secondaryClassId),
				
				String.valueOf(start), String.valueOf(end), String.valueOf(obc)
			};

		List<ContentConnection> list = (List<ContentConnection>)FinderCacheUtil.getResult(FINDER_PATH_FIND_BY_OBC_SECONDARYID,
				finderArgs, this);

		if (list == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

				query.append("secondaryId = ?");

				query.append(" AND ");

				query.append("secondaryClassId = ?");

				query.append(" ");

				if (obc != null) {
					query.append("ORDER BY ");
					query.append(obc.getOrderBy());
				}

				else {
					query.append("ORDER BY ");

					query.append("priority ASC");
				}

				Query q = session.createQuery(query.toString());

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(secondaryId);

				qPos.add(secondaryClassId);

				list = (List<ContentConnection>)QueryUtil.list(q, getDialect(),
						start, end);
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (list == null) {
					list = new ArrayList<ContentConnection>();
				}

				cacheResult(list);

				FinderCacheUtil.putResult(FINDER_PATH_FIND_BY_OBC_SECONDARYID,
					finderArgs, list);

				closeSession(session);
			}
		}

		return list;
	}

	public ContentConnection findBySecondaryId_First(long secondaryId,
		long secondaryClassId, OrderByComparator obc)
		throws NoSuchContentConnectionException, SystemException {
		List<ContentConnection> list = findBySecondaryId(secondaryId,
				secondaryClassId, 0, 1, obc);

		if (list.isEmpty()) {
			StringBuilder msg = new StringBuilder();

			msg.append("No ContentConnection exists with the key {");

			msg.append("secondaryId=" + secondaryId);

			msg.append(", ");
			msg.append("secondaryClassId=" + secondaryClassId);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			throw new NoSuchContentConnectionException(msg.toString());
		}
		else {
			return list.get(0);
		}
	}

	public ContentConnection findBySecondaryId_Last(long secondaryId,
		long secondaryClassId, OrderByComparator obc)
		throws NoSuchContentConnectionException, SystemException {
		int count = countBySecondaryId(secondaryId, secondaryClassId);

		List<ContentConnection> list = findBySecondaryId(secondaryId,
				secondaryClassId, count - 1, count, obc);

		if (list.isEmpty()) {
			StringBuilder msg = new StringBuilder();

			msg.append("No ContentConnection exists with the key {");

			msg.append("secondaryId=" + secondaryId);

			msg.append(", ");
			msg.append("secondaryClassId=" + secondaryClassId);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			throw new NoSuchContentConnectionException(msg.toString());
		}
		else {
			return list.get(0);
		}
	}

	public ContentConnection[] findBySecondaryId_PrevAndNext(
		long connectionId, long secondaryId, long secondaryClassId,
		OrderByComparator obc)
		throws NoSuchContentConnectionException, SystemException {
		ContentConnection contentConnection = findByPrimaryKey(connectionId);

		int count = countBySecondaryId(secondaryId, secondaryClassId);

		Session session = null;

		try {
			session = openSession();

			StringBuilder query = new StringBuilder();

			query.append(
				"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

			query.append("secondaryId = ?");

			query.append(" AND ");

			query.append("secondaryClassId = ?");

			query.append(" ");

			if (obc != null) {
				query.append("ORDER BY ");
				query.append(obc.getOrderBy());
			}

			else {
				query.append("ORDER BY ");

				query.append("priority ASC");
			}

			Query q = session.createQuery(query.toString());

			QueryPos qPos = QueryPos.getInstance(q);

			qPos.add(secondaryId);

			qPos.add(secondaryClassId);

			Object[] objArray = QueryUtil.getPrevAndNext(q, count, obc,
					contentConnection);

			ContentConnection[] array = new ContentConnectionImpl[3];

			array[0] = (ContentConnection)objArray[0];
			array[1] = (ContentConnection)objArray[1];
			array[2] = (ContentConnection)objArray[2];

			return array;
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	public List<Object> findWithDynamicQuery(DynamicQuery dynamicQuery)
		throws SystemException {
		Session session = null;

		try {
			session = openSession();

			dynamicQuery.compile(session);

			return dynamicQuery.list();
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	public List<Object> findWithDynamicQuery(DynamicQuery dynamicQuery,
		int start, int end) throws SystemException {
		Session session = null;

		try {
			session = openSession();

			dynamicQuery.setLimit(start, end);

			dynamicQuery.compile(session);

			return dynamicQuery.list();
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	public List<ContentConnection> findAll() throws SystemException {
		return findAll(QueryUtil.ALL_POS, QueryUtil.ALL_POS, null);
	}

	public List<ContentConnection> findAll(int start, int end)
		throws SystemException {
		return findAll(start, end, null);
	}

	public List<ContentConnection> findAll(int start, int end,
		OrderByComparator obc) throws SystemException {
		Object[] finderArgs = new Object[] {
				String.valueOf(start), String.valueOf(end), String.valueOf(obc)
			};

		List<ContentConnection> list = (List<ContentConnection>)FinderCacheUtil.getResult(FINDER_PATH_FIND_ALL,
				finderArgs, this);

		if (list == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection ");

				if (obc != null) {
					query.append("ORDER BY ");
					query.append(obc.getOrderBy());
				}

				else {
					query.append("ORDER BY ");

					query.append("priority ASC");
				}

				Query q = session.createQuery(query.toString());

				if (obc == null) {
					list = (List<ContentConnection>)QueryUtil.list(q,
							getDialect(), start, end, false);

					Collections.sort(list);
				}
				else {
					list = (List<ContentConnection>)QueryUtil.list(q,
							getDialect(), start, end);
				}
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (list == null) {
					list = new ArrayList<ContentConnection>();
				}

				cacheResult(list);

				FinderCacheUtil.putResult(FINDER_PATH_FIND_ALL, finderArgs, list);

				closeSession(session);
			}
		}

		return list;
	}

	public void removeByPriority(long companyId, long groupId, long primaryId,
		long primaryClassId, long priority)
		throws NoSuchContentConnectionException, SystemException {
		ContentConnection contentConnection = findByPriority(companyId,
				groupId, primaryId, primaryClassId, priority);

		remove(contentConnection);
	}

	public void removeByRelation(long companyId, long groupId, long primaryId,
		long primaryClassId, long secondaryId, long secondaryClassId)
		throws NoSuchContentConnectionException, SystemException {
		ContentConnection contentConnection = findByRelation(companyId,
				groupId, primaryId, primaryClassId, secondaryId,
				secondaryClassId);

		remove(contentConnection);
	}

	public void removeByCompanyId(long companyId) throws SystemException {
		for (ContentConnection contentConnection : findByCompanyId(companyId)) {
			remove(contentConnection);
		}
	}

	public void removeByPrimaryId(long primaryId, long primaryClassId)
		throws SystemException {
		for (ContentConnection contentConnection : findByPrimaryId(primaryId,
				primaryClassId)) {
			remove(contentConnection);
		}
	}

	public void removeBySecondaryId(long secondaryId, long secondaryClassId)
		throws SystemException {
		for (ContentConnection contentConnection : findBySecondaryId(
				secondaryId, secondaryClassId)) {
			remove(contentConnection);
		}
	}

	public void removeAll() throws SystemException {
		for (ContentConnection contentConnection : findAll()) {
			remove(contentConnection);
		}
	}

	public int countByPriority(long companyId, long groupId, long primaryId,
		long primaryClassId, long priority) throws SystemException {
		Object[] finderArgs = new Object[] {
				new Long(companyId), new Long(groupId), new Long(primaryId),
				new Long(primaryClassId), new Long(priority)
			};

		Long count = (Long)FinderCacheUtil.getResult(FINDER_PATH_COUNT_BY_PRIORITY,
				finderArgs, this);

		if (count == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append("SELECT COUNT(*) ");
				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

				query.append("companyId = ?");

				query.append(" AND ");

				query.append("groupId = ?");

				query.append(" AND ");

				query.append("primaryId = ?");

				query.append(" AND ");

				query.append("primaryClassId = ?");

				query.append(" AND ");

				query.append("priority = ?");

				query.append(" ");

				Query q = session.createQuery(query.toString());

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(companyId);

				qPos.add(groupId);

				qPos.add(primaryId);

				qPos.add(primaryClassId);

				qPos.add(priority);

				count = (Long)q.uniqueResult();
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (count == null) {
					count = Long.valueOf(0);
				}

				FinderCacheUtil.putResult(FINDER_PATH_COUNT_BY_PRIORITY,
					finderArgs, count);

				closeSession(session);
			}
		}

		return count.intValue();
	}

	public int countByRelation(long companyId, long groupId, long primaryId,
		long primaryClassId, long secondaryId, long secondaryClassId)
		throws SystemException {
		Object[] finderArgs = new Object[] {
				new Long(companyId), new Long(groupId), new Long(primaryId),
				new Long(primaryClassId), new Long(secondaryId),
				new Long(secondaryClassId)
			};

		Long count = (Long)FinderCacheUtil.getResult(FINDER_PATH_COUNT_BY_RELATION,
				finderArgs, this);

		if (count == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append("SELECT COUNT(*) ");
				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

				query.append("companyId = ?");

				query.append(" AND ");

				query.append("groupId = ?");

				query.append(" AND ");

				query.append("primaryId = ?");

				query.append(" AND ");

				query.append("primaryClassId = ?");

				query.append(" AND ");

				query.append("secondaryId = ?");

				query.append(" AND ");

				query.append("secondaryClassId = ?");

				query.append(" ");

				Query q = session.createQuery(query.toString());

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(companyId);

				qPos.add(groupId);

				qPos.add(primaryId);

				qPos.add(primaryClassId);

				qPos.add(secondaryId);

				qPos.add(secondaryClassId);

				count = (Long)q.uniqueResult();
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (count == null) {
					count = Long.valueOf(0);
				}

				FinderCacheUtil.putResult(FINDER_PATH_COUNT_BY_RELATION,
					finderArgs, count);

				closeSession(session);
			}
		}

		return count.intValue();
	}

	public int countByCompanyId(long companyId) throws SystemException {
		Object[] finderArgs = new Object[] { new Long(companyId) };

		Long count = (Long)FinderCacheUtil.getResult(FINDER_PATH_COUNT_BY_COMPANYID,
				finderArgs, this);

		if (count == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append("SELECT COUNT(*) ");
				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

				query.append("companyId = ?");

				query.append(" ");

				Query q = session.createQuery(query.toString());

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(companyId);

				count = (Long)q.uniqueResult();
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (count == null) {
					count = Long.valueOf(0);
				}

				FinderCacheUtil.putResult(FINDER_PATH_COUNT_BY_COMPANYID,
					finderArgs, count);

				closeSession(session);
			}
		}

		return count.intValue();
	}

	public int countByPrimaryId(long primaryId, long primaryClassId)
		throws SystemException {
		Object[] finderArgs = new Object[] {
				new Long(primaryId), new Long(primaryClassId)
			};

		Long count = (Long)FinderCacheUtil.getResult(FINDER_PATH_COUNT_BY_PRIMARYID,
				finderArgs, this);

		if (count == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append("SELECT COUNT(*) ");
				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

				query.append("primaryId = ?");

				query.append(" AND ");

				query.append("primaryClassId = ?");

				query.append(" ");

				Query q = session.createQuery(query.toString());

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(primaryId);

				qPos.add(primaryClassId);

				count = (Long)q.uniqueResult();
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (count == null) {
					count = Long.valueOf(0);
				}

				FinderCacheUtil.putResult(FINDER_PATH_COUNT_BY_PRIMARYID,
					finderArgs, count);

				closeSession(session);
			}
		}

		return count.intValue();
	}

	public int countBySecondaryId(long secondaryId, long secondaryClassId)
		throws SystemException {
		Object[] finderArgs = new Object[] {
				new Long(secondaryId), new Long(secondaryClassId)
			};

		Long count = (Long)FinderCacheUtil.getResult(FINDER_PATH_COUNT_BY_SECONDARYID,
				finderArgs, this);

		if (count == null) {
			Session session = null;

			try {
				session = openSession();

				StringBuilder query = new StringBuilder();

				query.append("SELECT COUNT(*) ");
				query.append(
					"FROM com.ceb2b2000.connector.model.ContentConnection WHERE ");

				query.append("secondaryId = ?");

				query.append(" AND ");

				query.append("secondaryClassId = ?");

				query.append(" ");

				Query q = session.createQuery(query.toString());

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(secondaryId);

				qPos.add(secondaryClassId);

				count = (Long)q.uniqueResult();
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (count == null) {
					count = Long.valueOf(0);
				}

				FinderCacheUtil.putResult(FINDER_PATH_COUNT_BY_SECONDARYID,
					finderArgs, count);

				closeSession(session);
			}
		}

		return count.intValue();
	}

	public int countAll() throws SystemException {
		Object[] finderArgs = new Object[0];

		Long count = (Long)FinderCacheUtil.getResult(FINDER_PATH_COUNT_ALL,
				finderArgs, this);

		if (count == null) {
			Session session = null;

			try {
				session = openSession();

				Query q = session.createQuery(
						"SELECT COUNT(*) FROM com.ceb2b2000.connector.model.ContentConnection");

				count = (Long)q.uniqueResult();
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (count == null) {
					count = Long.valueOf(0);
				}

				FinderCacheUtil.putResult(FINDER_PATH_COUNT_ALL, finderArgs,
					count);

				closeSession(session);
			}
		}

		return count.intValue();
	}

	public void afterPropertiesSet() {
		String[] listenerClassNames = StringUtil.split(GetterUtil.getString(
					com.liferay.util.service.ServiceProps.get(
						"value.object.listener.com.ceb2b2000.connector.model.ContentConnection")));

		if (listenerClassNames.length > 0) {
			try {
				List<ModelListener<ContentConnection>> listenersList = new ArrayList<ModelListener<ContentConnection>>();

				for (String listenerClassName : listenerClassNames) {
					listenersList.add((ModelListener<ContentConnection>)Class.forName(
							listenerClassName).newInstance());
				}

				listeners = listenersList.toArray(new ModelListener[listenersList.size()]);
			}
			catch (Exception e) {
				_log.error(e);
			}
		}
	}

	@BeanReference(name = "com.ceb2b2000.connector.service.persistence.ContentConnectionPersistence.impl")
	protected com.ceb2b2000.connector.service.persistence.ContentConnectionPersistence contentConnectionPersistence;
	@BeanReference(name = "com.ceb2b2000.connector.service.persistence.StructureRestrictionPersistence.impl")
	protected com.ceb2b2000.connector.service.persistence.StructureRestrictionPersistence structureRestrictionPersistence;
	private static Log _log = LogFactoryUtil.getLog(ContentConnectionPersistenceImpl.class);
}