package com.ceb2b2000.connector.util;

public final class ConnectorWebKeys {
	private ConnectorWebKeys() {}
	
	/**
	 * The text used in the searches. 
	 */
	public static final String SEARCH_TEXT = "keywords";
	
	/**
	 * List of available connectors.
	 */
	public static final String AVAILABLE_CONNECTORS = "availableConnectors";
	
	/**
	 * The current primary connector ID.
	 */
	public static final String PRIMARY_CONNECTOR_ID = "primaryConnectorId";
	
	/**
	 * The current primary connector.
	 * 
	 * @see ConnectorWebKeys.AVAILABLE_CONNECTORS
	 */
	public static final String PRIMARY_CONNECTOR = "primaryConnector";
	
	/**
	 * The current connector context.
	 */
	public static final String CONNECTOR_CONTEXT = "connectorContext";
	
	/**
	 * The selected primary entity ID.
	 */
	public static final String PRIMARY_ENTITY_ID = "primaryEntityId";
	
	/**
	 * The selected primary entity.
	 */
	public static final String PRIMARY_ENTITY = "primaryEntity";

	/**
	 * The current secondary connector ID.
	 */
	public static final String SECONDARY_CONNECTOR_ID = "secondaryConnectorId";
	
	/**
	 * The current secondary connector.
	 */
	public static final String SECONDARY_CONNECTOR = "secondaryConnector";
	
	/**
	 * The selected secondary entity ID.
	 */
	public static final String SECONDARY_ENTITY_ID = "secondaryEntityId";
	
	/**
	 * The currently selected connector ID. May be a the ID of a primary or
	 * secondary connector depending on the context. 
	 */
	public static final String SELECTED_CONNECTOR_ID = "selectedConnectorId";
	
	/**
	 * The currently selected connector. May be a primary or secondary connector
	 * depending on the context. 
	 */
	public static final String SELECTED_CONNECTOR = "selectedConnector";
	
	/**
	 * List of available journal structures.
	 */
	public static final String AVAILABLE_STRUCTURES = "availableStructures";
	
	/**
	 * ID of the selected structure in the preferences.
	 */
	public static final String SELECTED_STRUCTURE_ID = "structureId";

	public static final String RIGHT_STRUCTURES = "rightStructures";
	public static final String LEFT_STRUCTURES = "leftStructures";
	public static final String CURRENT_CONNECTIONS = "currentConnections";
	public static final String AVAILABLE_CONNECTIONS = "availableConnections";
	public static final String RESTRICTED = "restricted";
}
