package com.ceb2b2000.connector.util;

import java.util.Date;

import org.apache.commons.lang.StringUtils;

import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.kernel.util.StringUtil;
import com.liferay.portal.kernel.util.Validator;

public final class JournalArticleSearchUtil {
	private JournalArticleSearchUtil() {}
	
	public static final boolean isExpired(String status, boolean defaultValue) {
		return StringUtils.isBlank(status) ? defaultValue : StringUtils.equalsIgnoreCase(status, "expired");
	}

	public static final boolean isApproved(String status, boolean defaultValue) {
		return StringUtils.isBlank(status) ? defaultValue : StringUtils.equalsIgnoreCase(status, "approved");
	}
	
	public static final Date getReviewDate(String status) {
		return StringUtils.equals(status, "review") ? new Date() : null;
	}

	public static boolean orderByDefined(String orderByCol, String orderByType) {
		return Validator.isNotNull(orderByCol) && Validator.isNotNull(orderByType);
	}
	
	/**
	 * Copied from `com.liferay.util.dao.orm.CustomSQL'. 
	 */
	public static final String[] keywords(String keywords, boolean lowerCase) {
		if (lowerCase) {
			keywords = keywords.toLowerCase();
		}

		keywords = keywords.trim();

		String[] keywordsArray = StringUtil.split(keywords, StringPool.SPACE);

		for (int i = 0; i < keywordsArray.length; i++) {
			String keyword = keywordsArray[i];

			keywordsArray[i] =
				StringPool.PERCENT + keyword + StringPool.PERCENT;
		}

		return keywordsArray;
	}
	
	public static final String[] keywords(String keywords) {
		return keywords(keywords, true);
	}
}
