package com.ceb2b2000.connector.util;

import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Properties;

import org.apache.commons.lang.StringUtils;

public final class PropertiesUtil {
	public static final Collection<String> getSequence(
			Properties properties, String key) {
		
		String sequence = properties.getProperty(key);
		
		if (StringUtils.isBlank(sequence)) {
			return null;
		} else {
			String[] parts = sequence.split(" *, *");
			
			Collection<String> values = new ArrayList<String>();
			
			for (int i = 0; i < parts.length; i++) {
				String part = parts[i];
				
				if (!StringUtils.isBlank(part)) {
					values.add(part.trim());
				}
			}
			
			return values;
		}
	}
	
	public static Properties load(String file) throws IOException {
		InputStream in = null;
		
		try {
			in = PropertiesUtil.class.getResourceAsStream(file);
			Properties props = new Properties();
			props.load(in);
			
			return props;
		} finally {
			if (in != null) {
				in.close();
			}
		}
	}

	private PropertiesUtil() {}
}
