package com.ceb2b2000.connector.util;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang.StringUtils;

import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;

public final class StringUtil {
	private StringUtil() {}
	
	public static final Map<String,String> toMapping(String s) {
		final Map<String,String> mapping = new HashMap<String,String>();
		
		String[] pairs = s.split("\\s*,\\s*");
		
		for (String pair: pairs) {
			if (!StringUtils.isBlank(pair)) {
				String[] tuple = pair.split("\\s*=\\s*");

				if (isValidMapping(tuple)) {
					mapping.put(tuple[0].trim(), tuple[1].trim());
				} else {
					if (_log.isWarnEnabled()) {
						_log.warn("invalid view mapping: " + pair + ". Ignoring.");
					}
				}
			}
		}
		
		return mapping;
	}
	
	private static final boolean isValidMapping(String[] tuple) {
		return tuple != null
			&& tuple.length == 2
			&& !StringUtils.isBlank(tuple[0])
			&& !StringUtils.isBlank(tuple[1]);
	}
	
	private static final Log _log = LogFactoryUtil.getLog(StringUtil.class);
}
