package com.ceb2b2000.connector.connectors;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;
import static org.junit.Assert.assertTrue;

import java.util.Arrays;
import java.util.Collection;
import java.util.Properties;

import org.junit.Before;
import org.junit.Test;

public class ConnectorPropertiesTest {
	private ConnectorConfiguration props;
	
	@Before
	public void setUp() {
		Properties config = new Properties();
		
		config.put("content.connector.supported.types", "   foo , ,bar, baz");
		config.put("foo.connector.class", "  fooConnector  ");
		
		props = new ConnectorConfiguration(config);
	}
	
	@Test
	public void testSupportedTypes() {
		Collection<String> t = props.getSupportedTypes();
		
		assertTrue(t.containsAll(Arrays.asList("foo", "bar", "baz")));
		assertEquals(3, t.size());
	}
	
	@Test
	public void testConnectorForClass() {
		assertEquals("fooConnector", props.getConnectorForClass("foo"));
	}
	
	@Test
	public void testNonExistantConnector() {
		assertNull(props.getConnectorForClass("bar"));
	}
}
