package com.ceb2b2000.connector.util;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import java.util.Map;

import org.junit.Test;


public class StringUtilTest {
	@Test(expected=NullPointerException.class)
	public void testNullMapping() {
		StringUtil.toMapping(null);
	}
	
	@Test
	public void testEmptyMapping() {
		assertTrue(StringUtil.toMapping("").isEmpty());
	}
	
	@Test
	public void testOneMapping() {
		Map<String,String> mapping = StringUtil.toMapping(" foo  =bar   ");
		
		assertEquals(1, mapping.size());
		assertEquals("bar", mapping.get("foo"));
	}
	
	@Test
	public void testNMapping() {
		Map<String,String> mapping = StringUtil.toMapping("foo=bar,\n\n\t  bar = baz  ,baz =quux");
		
		assertEquals(3, mapping.size());
		assertEquals("bar", mapping.get("foo"));
		assertEquals("baz", mapping.get("bar"));
		assertEquals("quux", mapping.get("baz"));
	}
	
	@Test
	public void testIllFormedMapping() {
		Map<String,String> mapping = StringUtil.toMapping("foo=bar,  bar,baz =quux");
		
		assertEquals(2, mapping.size());
		assertEquals("bar", mapping.get("foo"));
		assertEquals("quux", mapping.get("baz"));
	}
}
