<%@ include file="/html/init.jsp" %>

<%
Connectable primaryEntity = 
   	(Connectable) request.getAttribute(ConnectorWebKeys.PRIMARY_ENTITY);
Connector<?> primaryConnector = 
    (Connector<?>) request.getAttribute(ConnectorWebKeys.PRIMARY_CONNECTOR);
Connector<?> secondaryConnector = 
    (Connector<?>) request.getAttribute(ConnectorWebKeys.SECONDARY_CONNECTOR);
String primaryEntityId = Long.toString(primaryEntity.getId());
String primaryConnectorId = primaryConnector.getId();
String secondaryConnectorId = secondaryConnector.getId();
String tabs = ParamUtil.getString(request, "tabs", "current");
%>


<portlet:renderURL var="returnToMainURL"/>

<portlet:renderURL var="searchURL">
    <portlet:param name="<%= ConnectorWebKeys.PRIMARY_ENTITY_ID %>" value="<%= primaryEntityId %>"/>
    <portlet:param name="<%= ConnectorWebKeys.PRIMARY_CONNECTOR_ID %>" value="<%= primaryConnectorId %>"/>
    <portlet:param name="tabs" value="<%= tabs %>"/>
    <portlet:param name="<%= MultiViewJSPPortlet.REQUESTED_VIEW %>" value="editConnections"/>
</portlet:renderURL>

<portlet:renderURL var="changeTabURL">
    <portlet:param name="<%= ConnectorWebKeys.PRIMARY_ENTITY_ID %>" value="<%= primaryEntityId %>"/>
    <portlet:param name="<%= ConnectorWebKeys.PRIMARY_CONNECTOR_ID %>" value="<%= primaryConnectorId %>"/>
    <portlet:param name="<%= ConnectorWebKeys.SELECTED_CONNECTOR_ID %>" value="<%= secondaryConnectorId %>"/>
    <portlet:param name="<%= MultiViewJSPPortlet.REQUESTED_VIEW %>" value="editConnections"/>
</portlet:renderURL>

<form name="<portlet:namespace/>fm" method="post" action="<%= searchURL %>">
    <div id="connection-primary">
        <liferay-ui:message key="editing-connections-for-content"/>
        
        <table>
            <thead>
                <tr>
                    <th><liferay-ui:message key="id"/></th>
                    <th><liferay-ui:message key="name"/></th>
                    <th><liferay-ui:message key="description"/></th>
                    <th><liferay-ui:message key="type"/></th>
                </tr>
            </thead>
            <tbody>
                <tr>
			        <td> <%= primaryEntity.getId() %> </td>
			        <td> <%= primaryEntity.getName() %></td>
			        <td> <%= primaryEntity.getDescription() %></td>
			        <td> <%= LanguageUtil.get(pageContext, primaryEntity.getConnectorId()) %></td>
		        </tr>        
            </tbody>
        </table>
    </div>
    <liferay-ui:tabs param="tabs"
                     names="current,available"
                     tabsValues="current,available"
                     url="<%= changeTabURL.toString() %>"
    >
        <liferay-ui:section>
            <liferay-util:include page="/html/view_current.jsp"
                                  servletContext="<%=getServletContext()%>"/>
        </liferay-ui:section>
        <liferay-ui:section>
            <liferay-util:include page="/html/view_available.jsp"
                                  servletContext="<%=getServletContext()%>"/>
        </liferay-ui:section>
    </liferay-ui:tabs>

    <% String returnHandler = "document.location.href = '"
                            + returnToMainURL.toString() 
                            + "'"; %>
    <br/>                       
    <input type="button"
           value="<%= LanguageUtil.get(pageContext, "return-to-main") %>"
           onclick="<%= returnHandler %>"/>
</form>