<%@ include file="/html/init.jsp" %>

<%
Connectable primaryEntity = 
    (Connectable) request.getAttribute(ConnectorWebKeys.PRIMARY_ENTITY);
Connector<?> primaryConnector = 
    (Connector<?>) request.getAttribute(ConnectorWebKeys.PRIMARY_CONNECTOR);
Connector<?> secondaryConnector =
	(Connector<?>) request.getAttribute(ConnectorWebKeys.SELECTED_CONNECTOR);
ConnectorContext ctx =
    (ConnectorContext) request.getAttribute(ConnectorWebKeys.CONNECTOR_CONTEXT);

String primaryEntityId = Long.toString(primaryEntity.getId());
String primaryConnectorId = primaryConnector.getId();
String secondaryConnectorId = secondaryConnector.getId();

String customForm = secondaryConnector.getCustomForm();

PortletURL changePageURL = renderResponse.createRenderURL();
changePageURL.setParameter(ConnectorWebKeys.PRIMARY_CONNECTOR_ID, primaryConnectorId);
changePageURL.setParameter(ConnectorWebKeys.PRIMARY_ENTITY_ID, primaryEntityId);
changePageURL.setParameter(MultiViewJSPPortlet.REQUESTED_VIEW, "editConnections");
changePageURL.setParameter("tabs", "available");

%>

<portlet:renderURL var="redirectURL">
	<portlet:param name="<%= ConnectorWebKeys.PRIMARY_CONNECTOR_ID %>" value="<%= primaryConnectorId %>"/>
	<portlet:param name="<%= ConnectorWebKeys.PRIMARY_ENTITY_ID %>" value="<%= primaryEntityId %>"/>
	<portlet:param name="<%= ConnectorWebKeys.SELECTED_CONNECTOR_ID %>" value="<%= secondaryConnectorId %>"/>
	<portlet:param name="<%= MultiViewJSPPortlet.REQUESTED_VIEW %>" value="editConnections"/>
	<portlet:param name="tabs" value="available"/>
</portlet:renderURL>

<liferay-ui:search-container emptyResultsMessage="connector-search-no-results-of-type"
                             headerNames="id,name" iteratorURL="<%= changePageURL %>">
    <liferay-ui:search-form page='<%= customForm == null ? "/html/generic_search_form.jsp" : customForm %>'
                            servletContext="<%= getServletContext() %>"/>

    <%-- Find all entities *not* connected to the primary entity. --%>
    
    <% SearchResult result = secondaryConnector.getAvailable(
    		ctx, searchContainer.getStart(), searchContainer.getEnd(), primaryEntity.getId()); %>
    		
    <liferay-ui:search-container-results results="<%=result.getEntities()%>"
                                         total="<%=result.getSize()%>"/>
    
    <liferay-ui:search-container-row className="com.ceb2b2000.connector.connectors.Connectable" keyProperty="id" modelVar="entity">
        <liferay-ui:search-container-column-text name="id" property="id"/>
        <liferay-ui:search-container-column-text name="name">
            <% PortletURL entityURL = entity.getURL(ctx); %>
            <% entityURL.setParameter("redirect", redirectURL); %>
            
            <a href="<%= entityURL.toString() %>"><%= entity.getName() %></a>
        </liferay-ui:search-container-column-text>
        <liferay-ui:search-container-column-text name="description" property="description"/>
        <liferay-ui:search-container-column-text name="create-time" property="createDate"/>
        <liferay-ui:search-container-column-text name="last-modified" property="modifiedDate"/>
        
        <liferay-ui:search-container-column-text name="actions">
                <liferay-ui:icon-menu>
                    <portlet:actionURL var="createConnectionURL">
                        <portlet:param name="<%= ConnectorWebKeys.PRIMARY_CONNECTOR_ID %>" value="<%= primaryConnectorId %>"/>
                        <portlet:param name="<%= ConnectorWebKeys.PRIMARY_ENTITY_ID %>" value="<%= primaryEntityId %>"/>
                        <portlet:param name="<%= ConnectorWebKeys.SELECTED_CONNECTOR_ID %>" value="<%= entity.getConnectorId() %>"/>
                        <portlet:param name="<%= ConnectorWebKeys.SECONDARY_ENTITY_ID %>" value="<%= Long.toString(entity.getId()) %>"/>
                        <portlet:param name="<%= ActionRequest.ACTION_NAME %>" value="createConnection"/>
                        <portlet:param name="redirect" value="<%= redirectURL.toString() %>"/>
                    </portlet:actionURL>
                    
                    <portlet:actionURL var="deleteConnectionURL">
                        <portlet:param name="<%= ConnectorWebKeys.PRIMARY_CONNECTOR_ID %>" value="<%= primaryConnectorId %>"/>
                        <portlet:param name="<%= ConnectorWebKeys.PRIMARY_ENTITY_ID %>" value="<%= primaryEntityId %>"/>
                        <portlet:param name="<%= ConnectorWebKeys.SECONDARY_CONNECTOR_ID %>" value="<%= entity.getConnectorId() %>"/>
                        <portlet:param name="<%= ConnectorWebKeys.SECONDARY_ENTITY_ID %>" value="<%= Long.toString(entity.getId()) %>"/>
                        <portlet:param name="<%= ActionRequest.ACTION_NAME %>" value="deleteConnection"/>
                        <portlet:param name="redirect" value="<%= redirectURL.toString() %>"/>
                    </portlet:actionURL>
                    
                    <c:choose>
                        <c:when test="<%= primaryEntity.isConnectedTo(ctx, entity) %>">
                            <liferay-ui:icon-delete url="<%= deleteConnectionURL %>"/>
                        </c:when>
                        <c:otherwise>
                            <liferay-ui:icon image="edit" message="add-connection" url="<%= createConnectionURL %>"/>
                        </c:otherwise>
                    </c:choose>
                </liferay-ui:icon-menu>
        </liferay-ui:search-container-column-text>
    </liferay-ui:search-container-row>
    
    <liferay-ui:search-iterator/>
</liferay-ui:search-container>