<%@ include file="/html/init.jsp" %>

<%
Connector<?> selectedConnector = 
	(Connector<?>) request.getAttribute(ConnectorWebKeys.SELECTED_CONNECTOR);
ConnectorContext ctx =
	(ConnectorContext) request.getAttribute(ConnectorWebKeys.CONNECTOR_CONTEXT);
String tabs = ParamUtil.getString(request, "tabs", "connector-available");

String customForm = selectedConnector.getCustomForm();

PortletURL changePageURL = renderResponse.createRenderURL();
changePageURL.setParameter(ConnectorWebKeys.SELECTED_CONNECTOR_ID, selectedConnector.getId());
changePageURL.setParameter(MultiViewJSPPortlet.REQUESTED_VIEW, "defaultView");
changePageURL.setParameter("tabs", tabs);

%>

<liferay-ui:search-container emptyResultsMessage="connector-search-no-results-of-type"
							 headerNames="id,name" iteratorURL="<%= changePageURL %>">
	<liferay-ui:search-form page='<%= customForm == null ? "/html/generic_search_form.jsp" : customForm %>'
							servletContext="<%= getServletContext() %>"/>

    <% SearchResult result = null; %>
    
    <c:choose>
	    <c:when test='<%= "connector-available".equals(tabs) %>'>
		    <% result = selectedConnector.getAvailable(
		    		ctx, searchContainer.getStart(), searchContainer.getEnd()); %>
	    </c:when>
	    <c:otherwise>
	        <% result = selectedConnector.getConnected(
	        	    ctx, searchContainer.getStart(), searchContainer.getEnd()); %>
	    </c:otherwise>
    </c:choose>
    
	<liferay-ui:search-container-results results="<%=result.getEntities()%>"
		                                 total="<%=result.getSize()%>"/>
	
    <liferay-ui:search-container-row
        className="com.ceb2b2000.connector.connectors.Connectable" 
        keyProperty="id" 
        modelVar="entity">
        
        <liferay-ui:search-container-column-text name="id"
                                                 property="id"/>
        <liferay-ui:search-container-column-text name="name">
            <% PortletURL entityURL = entity.getURL(ctx); %>
            <% entityURL.setParameter("redirect", changePageURL.toString()); %>
            
            <a href="<%= entityURL.toString() %>">
                <%= entity.getName() %>
            </a>
        </liferay-ui:search-container-column-text>
        <liferay-ui:search-container-column-text name="description" 
                                                 property="description"
                                                 orderable="false"/>
        <liferay-ui:search-container-column-text name="create-time"
                                                 property="createDate"/>
        <liferay-ui:search-container-column-text name="last-modified"
                                                 property="modifiedDate"/>
        
        <portlet:renderURL var="showConnectionsURL">
            <portlet:param name="<%= ConnectorWebKeys.PRIMARY_ENTITY_ID %>"
                           value="<%= Long.toString(entity.getId()) %>"/>
            <portlet:param name="<%= ConnectorWebKeys.PRIMARY_CONNECTOR_ID %>"
                           value="<%= selectedConnector.getId() %>"/>
            <portlet:param name="<%= MultiViewJSPPortlet.REQUESTED_VIEW %>"
                           value="editConnections"/>
        </portlet:renderURL>
        
        <% String href = "document.location.href = '"
                       + showConnectionsURL.toString()
                       + "'; return false"; %>
        
        <liferay-ui:search-container-column-button
            name='<%= LanguageUtil.get(pageContext, "view-connections") %>'
            href='<%= href %>'/>
    </liferay-ui:search-container-row>
	
	<liferay-ui:search-iterator/>
</liferay-ui:search-container>