<%@ include file="/html/init.jsp" %>

<%
Connectable primaryEntity = 
    (Connectable) request.getAttribute(ConnectorWebKeys.PRIMARY_ENTITY);
Connector<?> primaryConnector = 
    (Connector<?>) request.getAttribute(ConnectorWebKeys.PRIMARY_CONNECTOR);
ConnectorContext ctx =
    (ConnectorContext) request.getAttribute(ConnectorWebKeys.CONNECTOR_CONTEXT);

String primaryEntityId = Long.toString(primaryEntity.getId());
String primaryConnectorId = primaryConnector.getId();

ThemeDisplay themeDisplay =
	(ThemeDisplay) request.getAttribute(WebKeys.THEME_DISPLAY);
%>



<portlet:renderURL var="redirectURL">
    <portlet:param name="<%= ConnectorWebKeys.PRIMARY_CONNECTOR_ID %>" value="<%= primaryConnectorId %>"/>
    <portlet:param name="<%= ConnectorWebKeys.PRIMARY_ENTITY_ID %>" value="<%= primaryEntityId %>"/>
    <portlet:param name="<%= MultiViewJSPPortlet.REQUESTED_VIEW %>" value="editConnections"/>
    <portlet:param name="tabs" value="current"/>
</portlet:renderURL>

<%
PortletURL changePageURL = renderResponse.createRenderURL();
changePageURL.setParameter(ConnectorWebKeys.PRIMARY_CONNECTOR_ID, primaryConnectorId);
changePageURL.setParameter(ConnectorWebKeys.PRIMARY_ENTITY_ID, primaryEntityId);
changePageURL.setParameter(MultiViewJSPPortlet.REQUESTED_VIEW, "editConnections");
changePageURL.setParameter("tabs", "current");
%>
<liferay-ui:search-container emptyResultsMessage="connector-search-current-no-results"
                             headerNames="id,name" iteratorURL="<%= changePageURL %>">
    <liferay-ui:search-form page="/html/connected_search_form.jsp"
                            servletContext="<%= getServletContext() %>"/>

    <%-- Find all entities connected to the primary entity. --%>
    
    <% SearchResult result = primaryConnector.getConnectedTo(
    			ctx, primaryEntity.getId(), searchContainer.getStart(), 
    			searchContainer.getEnd()); %>
    
    <liferay-ui:search-container-results results="<%=result.getEntities()%>"
                                         total="<%=result.getSize()%>"/>
    
    <liferay-ui:search-container-row className="com.ceb2b2000.connector.connectors.Connectable" keyProperty="id" modelVar="entity">
        <liferay-ui:search-container-column-text name="id" property="id"/>
        <liferay-ui:search-container-column-text name="priority" property="priority"/>
        <liferay-ui:search-container-column-text name="type">
            <liferay-ui:message key="<%= entity.getConnectorId() %>"/>
        </liferay-ui:search-container-column-text>
        <liferay-ui:search-container-column-text name="name">
            <% PortletURL entityURL = entity.getURL(ctx); %>
            <% entityURL.setParameter("redirect", redirectURL); %>
            
            <a href="<%= entity.toString() %>"><%= entity.getName() %></a>
        </liferay-ui:search-container-column-text>
        <liferay-ui:search-container-column-text name="description" property="description"/>
        <liferay-ui:search-container-column-text name="create-time" property="createDate"/>
        <liferay-ui:search-container-column-text name="last-modified" property="modifiedDate"/>
        
        <liferay-ui:search-container-column-text name="actions">
                <liferay-ui:icon-menu>
                    <portlet:actionURL var="deleteConnectionURL">
			            <portlet:param name="<%= ConnectorWebKeys.PRIMARY_CONNECTOR_ID %>" value="<%= primaryConnectorId %>"/>
                        <portlet:param name="<%= ConnectorWebKeys.PRIMARY_ENTITY_ID %>" value="<%= primaryEntityId %>"/>
                        <portlet:param name="<%= ConnectorWebKeys.SECONDARY_CONNECTOR_ID %>" value="<%= entity.getConnectorId() %>"/>
                        <portlet:param name="<%= ConnectorWebKeys.SECONDARY_ENTITY_ID %>" value="<%= Long.toString(entity.getId()) %>"/>
                        <portlet:param name="redirect" value="<%= redirectURL.toString() %>"/>
			            <portlet:param name="<%= ActionRequest.ACTION_NAME %>" value="deleteConnection"/>
			        </portlet:actionURL>
                        
                    <liferay-ui:icon-delete url="<%= deleteConnectionURL %>"/>
                    
                    <portlet:actionURL var="increasePriorityURL">
	        			<portlet:param name="<%= ConnectorWebKeys.PRIMARY_CONNECTOR_ID %>" value="<%= primaryConnectorId %>"/>
		                <portlet:param name="<%= ConnectorWebKeys.PRIMARY_ENTITY_ID %>" value="<%= primaryEntityId %>"/>
		                <portlet:param name="<%= ConnectorWebKeys.SECONDARY_CONNECTOR_ID %>" value="<%= entity.getConnectorId() %>"/>
		                <portlet:param name="<%= ConnectorWebKeys.SECONDARY_ENTITY_ID %>" value="<%= Long.toString(entity.getId()) %>"/>
		                <portlet:param name="redirect" value="<%= redirectURL.toString() %>"/>
					    <portlet:param name="<%= ActionRequest.ACTION_NAME %>" value="increasePriority"/>
		        	</portlet:actionURL>

					<liferay-ui:icon src='<%=themeDisplay.getPathThemeImages()+ "/arrows/02_up.png"%>'
		        				     url="<%= increasePriorityURL.toString() %>"
		        				     message="increase-priority"/>

		        	<portlet:actionURL var="decreasePriorityURL">
		        		<portlet:param name="<%= ConnectorWebKeys.PRIMARY_CONNECTOR_ID %>" value="<%= primaryConnectorId %>"/>
		                <portlet:param name="<%= ConnectorWebKeys.PRIMARY_ENTITY_ID %>" value="<%= primaryEntityId %>"/>
		                <portlet:param name="<%= ConnectorWebKeys.SECONDARY_CONNECTOR_ID %>" value="<%= entity.getConnectorId() %>"/>
		                <portlet:param name="<%= ConnectorWebKeys.SECONDARY_ENTITY_ID %>" value="<%= Long.toString(entity.getId()) %>"/>
		                <portlet:param name="redirect" value="<%= redirectURL.toString() %>"/>
					    <portlet:param name="<%= ActionRequest.ACTION_NAME %>" value="decreasePriority"/>
		        	</portlet:actionURL>
	
					<liferay-ui:icon src='<%=themeDisplay.getPathThemeImages()+ "/arrows/02_down.png"%>'
        					 		 url="<%= decreasePriorityURL.toString() %>"
        					 		 message="decrease-priority"/>	        	
                </liferay-ui:icon-menu>
        </liferay-ui:search-container-column-text>
    </liferay-ui:search-container-row>
    
    <liferay-ui:search-iterator/>
</liferay-ui:search-container>