<%
/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/html/init.jsp" %>

<%
Collection<Connector<?>> availableConnectors =
	(Collection<Connector<?>>) request.getAttribute(ConnectorWebKeys.AVAILABLE_CONNECTORS);
Connector<?> selectedConnector = 
    (Connector<?>) request.getAttribute(ConnectorWebKeys.SELECTED_CONNECTOR);
ConnectorContext ctx =
    (ConnectorContext) request.getAttribute(ConnectorWebKeys.CONNECTOR_CONTEXT);

String selectedId = selectedConnector.getId();

ArticleDisplayTerms displayTerms = new ArticleDisplayTerms(renderRequest);

Collection<String> types = (Collection<String>) request.getAttribute("articleTypes");

boolean isAndOperator = ParamUtil.getBoolean(request, "andOperator", true);
%>

<script type="text/javascript">
<!--
	function <portlet:namespace/>refresh() {
		document.forms['<portlet:namespace/>fm'].submit()
	}
//-->
</script>

<table class="lfr-table">
	<tr>
		<td>
			<liferay-ui:message key="available-content-types"/>
			
			<select name="<portlet:namespace/><%= ConnectorWebKeys.SELECTED_CONNECTOR_ID %>"
					onchange="<portlet:namespace/>refresh()">
			    <% for (Connector<?> connector: availableConnectors) { %>
			        <% boolean isSelected = connector.getId().equals(selectedId); %>
			        <option value="<%= connector.getId() %>"
							<%= isSelected ? "selected='selected'" : ""%>
					>
					  <liferay-ui:message key="<%=connector.getId()%>"/>
					</option>
				<% } %>
			</select>
		</td>
	</tr>

	<tr><td>&nbsp;</td></tr>

	<tr>
		<td>
			<liferay-ui:message key="match"/>

			<select name="<portlet:namespace/>andOperator">
				<option value="1" <%= isAndOperator ? "selected='selected'" : "" %>>
					<liferay-ui:message key="all"/>
				</option>
				<option value="0" <%= isAndOperator ? "" : "selected='selected'" %>>
					<liferay-ui:message key="any"/>
				</option>
			</select>		

			<liferay-ui:message key="of-the-following-fields"/>
		</td>
	</tr>
	
	<tr>
		<td>
			<liferay-ui:message key="id" />
		</td>
		<td>
			<liferay-ui:message key="name" />
		</td>
		<td>
			<liferay-ui:message key="description" />
		</td>
	</tr>
	<tr>
		<td>
			<input name="<portlet:namespace /><%= ArticleDisplayTerms.ARTICLE_ID %>" size="20" type="text" value="<%= HtmlUtil.escape(displayTerms.getArticleId()) %>" />
		</td>
		<td>
			<input name="<portlet:namespace /><%= ArticleDisplayTerms.TITLE %>" size="20" type="text" value="<%= HtmlUtil.escape(displayTerms.getTitle()) %>" />
		</td>
		<td>
			<input name="<portlet:namespace /><%= ArticleDisplayTerms.DESCRIPTION %>" size="20" type="text" value="<%= HtmlUtil.escape(displayTerms.getDescription()) %>" />
		</td>
	</tr>
	<tr>
		<td>
			<liferay-ui:message key="content" />
		</td>
		<td>
			<liferay-ui:message key="type" />
		</td>
		<td colspan="2">		
			<liferay-ui:message key="status" />		
		</td>
	</tr>
	<tr>
		<td>
			<input name="<portlet:namespace /><%= ArticleDisplayTerms.CONTENT %>" size="20" type="text" value="<%= HtmlUtil.escape(displayTerms.getContent()) %>" />
		</td>
		<td>
			<select name="<portlet:namespace /><%= ArticleDisplayTerms.TYPE %>">
				<option value=""></option>
				<% for (String type: types) { %>
					<option <%= displayTerms.getType().equals(type) ? "selected='selected'" : "" %> value="<%= type %>"><%= LanguageUtil.get(pageContext, type) %></option>				
				<% } %>
			</select>
		</td>
		<td colspan="2">
			<select name="<portlet:namespace /><%= ArticleDisplayTerms.STATUS %>">
				<option value=""></option>
				<option <%= displayTerms.getStatus().equals("approved") ? "selected" : "" %> value="approved"><liferay-ui:message key="approved" /></option>
				<option <%= displayTerms.getStatus().equals("not-approved") ? "selected" : "" %> value="not-approved"><liferay-ui:message key="not-approved" /></option>
				<option <%= displayTerms.getStatus().equals("expired") ? "selected" : "" %> value="expired"><liferay-ui:message key="expired" /></option>
				<option <%= displayTerms.getStatus().equals("review") ? "selected" : "" %> value="review"><liferay-ui:message key="review" /></option>
			</select>
		</td>
	</tr>
	</table>

<c:if test="<%= Validator.isNotNull(displayTerms.getStructureId()) %>">
	<br />

	<input name="<portlet:namespace /><%= ArticleDisplayTerms.STRUCTURE_ID %>" type="hidden" value="<%= displayTerms.getStructureId() %>" />

	<liferay-ui:message key="filter-by-structure" />: <%= displayTerms.getStructureId() %><br />
</c:if>

<c:if test="<%= Validator.isNotNull(displayTerms.getTemplateId()) %>">
	<br />

	<input name="<portlet:namespace /><%= ArticleDisplayTerms.TEMPLATE_ID %>" type="hidden" value="<%= displayTerms.getTemplateId() %>" />

	<liferay-ui:message key="filter-by-template" />: <%= displayTerms.getTemplateId() %><br />
</c:if>

<br/>

<input type="submit" value='<liferay-ui:message key="connector.search"/>'/>
